<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.117
Description: COCT_RM900916NL02: Gegevens van rijksvaccinaties en andere vaccinaties
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.117">
   <title>A_Rijksvaccinatie [informational]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]"
         id="tmp-7c65d56e-a672-454c-9120-d521b979ba46">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:substanceAdministrationEvent)&gt;=1 and not(hl7:substanceAdministrationEvent/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:substanceAdministrationEvent is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent"
         id="tmp-f45dbd10-77da-4708-86cc-3456cffdb29d">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@classCode='SBADM' or not(@classCode)">(A_Rijksvaccinatie-informational): de waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Rijksvaccinatie-informational): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error" test="not(@negationInd='true') or hl7:authorization">(A_Rijksvaccinatie-informational): als <name/>/@negationInd 'true' is, dan MOET er bezwaar zijn in authorization</assert>
      <assert role="error" test="@negationInd='true' or not(hl7:authorization)">(A_Rijksvaccinatie-informational): als <name/>/@negationInd 'false' is of afwezig, dan MAG er GEEN er bezwaar zijn in authorization</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117'])&lt;=1">(A_Rijksvaccinatie-informational): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:effectiveTime)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:consumable is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:consumable)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:consumable komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&gt;=1 and not(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&lt;=1">(A_Rijksvaccinatie-informational): element hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']"
         id="tmp-d721d127-66cb-4325-9bd8-7e461b8821e2">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.117'">(A_Rijksvaccinatie-informational): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.117' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(A_Rijksvaccinatie-informational): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:code
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:code"
         id="tmp-2ea60e38-be85-4422-a278-47d5a713923a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')">(A_Rijksvaccinatie-informational): de waarde van @code/@codeSystem MOET ''IMMUNIZ' codeSystem '2.16.840.1.113883.5.4'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:effectiveTime
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:effectiveTime"
         id="tmp-9f0f1e50-46e1-43a2-a8f7-5ea806a5ae57">
      <let name="theValue" value="@value"/>
      <assert role="error" test="matches(@value,'^[0-9]{8}')">(A_Rijksvaccinatie-informational): 
                        <name path=".."/>/<name/> moet tenminste tot op de dag nauwkeurig worden opgegeven</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:consumable
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:consumable"
         id="tmp-bb66f778-476e-449b-be84-d793afe9d3f1">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@typeCode='CSM' or not(@typeCode)">(A_Rijksvaccinatie-informational): de waarde van @typeCode MOET 'CSM' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:medication)&gt;=1 and not(hl7:medication/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:medication is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:medication)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:medication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication"
         id="tmp-22db39c3-d255-4d6a-8ad3-d1b890daa802">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@classCode='ADMM' or not(@classCode)">(A_Rijksvaccinatie-informational): de waarde van @classCode MOET 'ADMM' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:administrableMedicine)&gt;=1 and not(hl7:administrableMedicine/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:administrableMedicine is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:administrableMedicine)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:administrableMedicine komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine"
         id="tmp-14048e63-3bab-4efc-8d53-bd9228231346">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@classCode='MMAT' or not(@classCode)">(A_Rijksvaccinatie-informational): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@determinerCode='KIND' or not(@determinerCode)">(A_Rijksvaccinatie-informational): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="error" test="hl7:lotNumberText or ../../../hl7:authorization">(A_Rijksvaccinatie-informational): lotNumberText moet het partijnummer bevatten, als er geen sprake is van bezwaar</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:code)&gt;=1 ">(A_Rijksvaccinatie-informational): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:lotNumberText)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:lotNumberText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:code
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:code"
         id="tmp-d2bda3e7-fde2-48b1-bf59-955a0145f1b7">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0422_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0422_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(A_Rijksvaccinatie-informational): de waarde van @code MOET worden gekozen uit waardenlijst W0422_HL7 W0422 Soort vaccinatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Rijksvaccinatie-informational): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0422_HL7 W0422 Soort vaccinatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:lotNumberText
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:lotNumberText"
         id="tmp-5891d741-c8fa-4453-bfe5-344cfa6b0cc3">
      <let name="theValue" value="text()"/>
      <assert role="error" test="not(../../../../hl7:authorization)">(A_Rijksvaccinatie-informational): als er sprake van bezwaar is, mag er geen partijnummer aanwezig zijn</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]
Item: (A_Rijksvaccinatie-informational)
-->
<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]"
         id="tmp-f2c6d249-0f47-40a4-9642-69fb78410be4">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@typeCode='PRF' or not(@typeCode)">(A_Rijksvaccinatie-informational): de waarde van @typeCode MOET 'PRF' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization"
         id="tmp-29dc7201-c361-4744-85d4-fb4a309e125b">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@typeCode='AUTH' or not(@typeCode)">(A_Rijksvaccinatie-informational): de waarde van @typeCode MOET 'AUTH' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@contextConductionInd='false' or not(@contextConductionInd)">(A_Rijksvaccinatie-informational): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:consentEvent)&gt;=1 and not(hl7:consentEvent/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:consentEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:consentEvent)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:consentEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent"
         id="tmp-41a09ba4-e181-4dec-8e81-afcd5c7dea9f">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@classCode='CONS' or not(@classCode)">(A_Rijksvaccinatie-informational): de waarde van @classCode MOET 'CONS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Rijksvaccinatie-informational): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:reasonOf)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:reasonOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:code
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:code"
         id="tmp-ff6e2a41-c61b-4c01-8da9-8377c1c7d375">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')">(A_Rijksvaccinatie-informational): de waarde van @code/@codeSystem MOET ''IMMUNIZ' codeSystem '2.16.840.1.113883.5.4'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf"
         id="tmp-055f04a1-21d4-4243-8d85-bcbac05ad679">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@typeCode='RSON' or not(@typeCode)">(A_Rijksvaccinatie-informational): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:observationEvent)&gt;=1 and not(hl7:observationEvent/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:observationEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:observationEvent)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:observationEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent"
         id="tmp-b945612d-e0d4-4b5e-a7da-e258f3f9cf4a">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@classCode='OBS' or not(@classCode)">(A_Rijksvaccinatie-informational): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Rijksvaccinatie-informational): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:value)&gt;=1 ">(A_Rijksvaccinatie-informational): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="count(hl7:value)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:code
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:code"
         id="tmp-7b69728b-8cec-42f9-8933-b3056ff35a19">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@nullFlavor or (@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Rijksvaccinatie-informational): de waarde van @code/@codeSystem MOET ''683' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:value
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:value"
         id="tmp-7cdd32d9-1c40-4d05-8d98-59d5b3470167">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0323_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0323_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(A_Rijksvaccinatie-informational): de waarde van @code MOET worden gekozen uit waardenlijst W0323_HL7 W0323 Bezwaar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.117.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Rijksvaccinatie-informational): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0323_HL7 W0323 Bezwaar (HL7) DYNAMIC.</assert>
   </rule>
</pattern>
