<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.134
Description: Hielprikverzoekgegevens
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.134">
   <title>Hielprikverzoek (geen patiënt)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]"
         id="tmp-e3db3ab3-6bdf-462d-9f53-d98693ba2554">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:procedureRequest)&gt;=1 and not(hl7:procedureRequest/@nullFlavor)">(Hielprikverzoek): element hl7:procedureRequest is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:procedureRequest)&lt;=1">(Hielprikverzoek): element hl7:procedureRequest komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest"
         id="tmp-4c587464-4a08-41fc-96fe-13e62b4bce8a">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@classCode='SPECCOLLECT'">(Hielprikverzoek): de waarde van @classCode MOET 'SPECCOLLECT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@moodCode='RQO'">(Hielprikverzoek): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:realmCode)&gt;=1 and not(hl7:realmCode/@nullFlavor)">(Hielprikverzoek): element hl7:realmCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:realmCode)&lt;=1">(Hielprikverzoek): element hl7:realmCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']/@nullFlavor)">(Hielprikverzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134'])&lt;=1">(Hielprikverzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(Hielprikverzoek): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:id)&lt;=1">(Hielprikverzoek): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Hielprikverzoek): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:code)&lt;=1">(Hielprikverzoek): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(Hielprikverzoek): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:statusCode)&lt;=1">(Hielprikverzoek): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:reason)&lt;=1">(Hielprikverzoek): element hl7:reason komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:pertinentInformation)&lt;=1">(Hielprikverzoek): element hl7:pertinentInformation komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:subjectOf6)&lt;=1">(Hielprikverzoek): element hl7:subjectOf6 komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:realmCode
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:realmCode"
         id="tmp-b3557b86-7380-4b1d-8ca2-533c43a34c51">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@nullFlavor or (@code='NL')">(Hielprikverzoek): de waarde van @code MOET ''NL'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']"
         id="tmp-9b0397ec-7557-48f7-a7db-136a7fd54773">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.134'">(Hielprikverzoek): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.134' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Hielprikverzoek): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:id
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:id"
         id="tmp-48e43cad-4ffb-4ec9-859b-9fe265fdfd9a">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:code
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:code"
         id="tmp-2b686a48-3870-45bf-8652-228f3cc567f9">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0316_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0316_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(Hielprikverzoek): de waarde van @code MOET worden gekozen uit waardenlijst W0316_HL7 W0316 Type hielprik (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Hielprikverzoek): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0316_HL7 W0316 Type hielprik (HL7) DYNAMIC.</assert>
      <assert role="error"
              test="not((@code='01' or @code='02') and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:reason)">(Hielprikverzoek): reason kan niet aanwezig aanwezig zijn bij een verzoek voor de eerste hielprik</assert>
      <assert role="error"
              test="(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or ../hl7:reason">(Hielprikverzoek): reason moet de reden bevatten bij een verzoek voor een herhaalde of tweede hielprik</assert>
      <assert role="error"
              test="not((@code='01' or @code='02') and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:pertinentInformation)">(Hielprikverzoek): pertinentInformation kan niet aanwezig aanwezig zijn bij een verzoek voor de eerste hielprik</assert>
      <assert role="error"
              test="not(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or ../hl7:pertinentInformation">(Hielprikverzoek): pertinentInformation moet het setnummer vorige hielprik bevatten bij een verzoek voor een herhaalde of tweede hielprik</assert>
      <assert role="error"
              test="not((@code='01' or @code='02') and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:subjectOf6)">(Hielprikverzoek): subjectOf6 kan niet aanwezig aanwezig zijn bij een verzoek voor de eerste hielprik</assert>
      <assert role="error"
              test="not((@code='03' or @code='04') and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or ../hl7:subjectOf6">(Hielprikverzoek): subjectOf6 moet de aanvullende informatie bevatten bij een verzoek voor een (herhaalde) tweede hielprik</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:statusCode
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:statusCode"
         id="tmp-c972f912-c39d-4a36-91d0-7ff548f0deda">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@nullFlavor or (@code='active')">(Hielprikverzoek): de waarde van @code MOET ''active'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:reason
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:reason"
         id="tmp-7d29b320-6a50-40a7-9477-0ce8c13a439e">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@typeCode='RSON' or not(@typeCode)">(Hielprikverzoek): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@contextConductionInd='false'">(Hielprikverzoek): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">(Hielprikverzoek): element hl7:act is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:act)&lt;=1">(Hielprikverzoek): element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:reason/hl7:act
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:reason/hl7:act"
         id="tmp-24aa639f-812b-44c8-ae30-7e0a3e1c94fc">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@classCode='ALRT'">(Hielprikverzoek): de waarde van @classCode MOET 'ALRT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@moodCode='EVN'">(Hielprikverzoek): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Hielprikverzoek): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:code)&lt;=1">(Hielprikverzoek): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:reason/hl7:act/hl7:code
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:reason/hl7:act/hl7:code"
         id="tmp-0e0eb5a9-3a8a-4176-aa15-ed52cac1a095">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(Hielprikverzoek): de waarde van @code MOET worden gekozen uit waardenlijst W0647_HL7 W0647 BDS Elementen DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Hielprikverzoek): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0647_HL7 W0647 BDS Elementen DYNAMIC.</assert>
      <assert role="error" test="@displayName or not(@code)">(Hielprikverzoek): @displayName is verplicht</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:pertinentInformation
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:pertinentInformation"
         id="tmp-d6b27f95-6ce9-4b25-9213-d9f1c2e2866b">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@typeCode='REFR'">(Hielprikverzoek): de waarde van @typeCode MOET 'REFR' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@contextConductionInd='false'">(Hielprikverzoek): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">(Hielprikverzoek): element hl7:act is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:act)&lt;=1">(Hielprikverzoek): element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:pertinentInformation/hl7:act
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:pertinentInformation/hl7:act"
         id="tmp-d38d613a-b61a-4b67-ac6c-9de751aa8083">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@classCode='DOC'">(Hielprikverzoek): de waarde van @classCode MOET 'DOC' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@moodCode='EVN'">(Hielprikverzoek): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:id)&gt;=1 ">(Hielprikverzoek): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:id)&lt;=1">(Hielprikverzoek): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:code)&gt;=1 ">(Hielprikverzoek): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:code)&lt;=1">(Hielprikverzoek): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:pertinentInformation/hl7:act/hl7:id
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:pertinentInformation/hl7:act/hl7:id"
         id="tmp-ff0adb7c-5028-420f-803e-01888c27e921">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:pertinentInformation/hl7:act/hl7:code
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:pertinentInformation/hl7:act/hl7:code"
         id="tmp-6128cc5e-f99f-4316-9bd0-e62341b29a03">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@nullFlavor or (@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(Hielprikverzoek): de waarde van @code/@codeSystem MOET ''1432' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6"
         id="tmp-e48c6ad9-25b9-44f2-896f-c52293b491d8">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(Hielprikverzoek): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@contextConductionInd='false'">(Hielprikverzoek): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:seperatableInd)&gt;=1 and not(hl7:seperatableInd/@nullFlavor)">(Hielprikverzoek): element hl7:seperatableInd is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:seperatableInd)&lt;=1">(Hielprikverzoek): element hl7:seperatableInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(Hielprikverzoek): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:annotation)&lt;=1">(Hielprikverzoek): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:seperatableInd
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:seperatableInd"
         id="tmp-b1f4abe9-3f17-4354-b331-e7630a064649">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@value='false'">(Hielprikverzoek): de waarde van @value MOET 'false' zijn.</assert>
      <let name="theAttValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation"
         id="tmp-14aa80b4-9f13-470f-83bb-1b6c1e95c379">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@classCode='ACT'">(Hielprikverzoek): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@moodCode='EVN'">(Hielprikverzoek): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Hielprikverzoek): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:text)&lt;=1">(Hielprikverzoek): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(Hielprikverzoek): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:statusCode)&lt;=1">(Hielprikverzoek): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(Hielprikverzoek): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:author)&lt;=1">(Hielprikverzoek): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:text
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:text"
         id="tmp-267bf46e-6b5e-42a8-befd-e26eff08e6d5">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:statusCode
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:statusCode"
         id="tmp-5207736a-1dda-43c2-bf52-6ba4196725dd">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@nullFlavor or (@code='completed')">(Hielprikverzoek): de waarde van @code MOET ''completed'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:author
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:author"
         id="tmp-3521e35b-8604-46c7-a50d-921cd81f06f1">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@typeCode='AUT' or not(@typeCode)">(Hielprikverzoek): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(Hielprikverzoek): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:assignedEntity)&lt;=1">(Hielprikverzoek): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity"
         id="tmp-825e475a-051d-44fc-b3ef-36ff50f89690">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="@typeCode='ASSIGNED'">(Hielprikverzoek): de waarde van @typeCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(Hielprikverzoek): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.134.html"
              test="count(hl7:id)&lt;=1">(Hielprikverzoek): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity/hl7:id
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity/hl7:id"
         id="tmp-c419b39f-a38e-4c24-a697-89fea0e90ff2">
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
