<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.182
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.182">
   <title>Bericht 2 Opleveren vaccinatiestatus (payload)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.182
Context: *[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]
Item: (OpleverenVaccinatiestatus-payload)
-->

<rule context="*[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]"
         id="tmp-d67bbfca-66d9-4709-b65b-06227ebf8662">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="count(hl7:VaccinationAdministrationList)&gt;=1 and not(hl7:VaccinationAdministrationList/@nullFlavor)">(OpleverenVaccinatiestatus-payload): element hl7:VaccinationAdministrationList is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="count(hl7:VaccinationAdministrationList)&lt;=1">(OpleverenVaccinatiestatus-payload): element hl7:VaccinationAdministrationList komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.182
Context: *[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList
Item: (OpleverenVaccinatiestatus-payload)
-->

<rule context="*[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList"
         id="tmp-a2b39f1c-0357-43e9-bbde-8c69d361dce0">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="@classCode='LIST' or not(@classCode)">(OpleverenVaccinatiestatus-payload): de waarde van @classCode MOET 'LIST' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="@moodCode='EVN' or not(@moodCode)">(OpleverenVaccinatiestatus-payload): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182']/@nullFlavor)">(OpleverenVaccinatiestatus-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182'])&lt;=1">(OpleverenVaccinatiestatus-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)">(OpleverenVaccinatiestatus-payload): element hl7:subject is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="count(hl7:subject)&lt;=1">(OpleverenVaccinatiestatus-payload): element hl7:subject komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.182
Context: *[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182']
Item: (OpleverenVaccinatiestatus-payload)
-->

<rule context="*[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182']"
         id="tmp-03112f65-a206-4f1b-b3ea-b05c3644c8b9">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.182'">(OpleverenVaccinatiestatus-payload): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.182' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(OpleverenVaccinatiestatus-payload): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.182
Context: *[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList/hl7:subject
Item: (OpleverenVaccinatiestatus-payload)
-->

<rule context="*[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList/hl7:subject"
         id="tmp-58576d8d-b5dc-46ce-bd44-5d8f4ec9a492">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="@typeCode='SBJ' or not(@typeCode)">(OpleverenVaccinatiestatus-payload): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)">(OpleverenVaccinatiestatus-payload): element hl7:patient is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="count(hl7:patient)&lt;=1">(OpleverenVaccinatiestatus-payload): element hl7:patient komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.182
Context: *[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList/hl7:subject/hl7:patient
Item: (OpleverenVaccinatiestatus-payload)
-->

<rule context="*[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList/hl7:subject/hl7:patient"
         id="tmp-bd6b7e54-5102-4970-9920-b351bba213e7">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="@classCode='PAT' or not(@classCode)">(OpleverenVaccinatiestatus-payload): de waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(OpleverenVaccinatiestatus-payload): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(OpleverenVaccinatiestatus-payload): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.182
Context: *[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList/hl7:subject/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (OpleverenVaccinatiestatus-payload)
-->

<rule context="*[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList/hl7:subject/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-a0bffeaf-c036-4525-960b-ea46f648cc1f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="@root='2.16.840.1.113883.2.4.6.3'">(OpleverenVaccinatiestatus-payload): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(OpleverenVaccinatiestatus-payload): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.182
Context: *[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]]
Item: (OpleverenVaccinatiestatus-payload)
-->
<rule context="*[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]]"
         id="tmp-d52cfee8-2828-44e5-a9b6-b0aa4fa61748">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="@typeCode='COMP' or not(@typeCode)">(OpleverenVaccinatiestatus-payload): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>
</pattern>
