<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.9001
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.40.9001">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.9001
Context: hl7:queryByParameter
Item: (TMP PrimaryCareRecordProfileQueryMeldkamer-PS)
-->

<rule context="hl7:queryByParameter" id="tmp-a07b1354-d3bf-44f4-a53c-3e0b35b786d5">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.9001.html"
              test="count(hl7:parameterList)&gt;=1 and not(hl7:parameterList/@nullFlavor)">(TMP PrimaryCareRecordProfileQueryMeldkamer-PS): element hl7:parameterList is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.9001
Context: hl7:queryByParameter/hl7:parameterList
Item: (TMP PrimaryCareRecordProfileQueryMeldkamer-PS)
-->

<rule context="hl7:queryByParameter/hl7:parameterList"
         id="tmp-94ce701a-618f-4c5a-877a-e48d7606f196">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.9001.html"
              test="count(hl7:patientId)&gt;=1 and not(hl7:patientId/@nullFlavor)">(TMP PrimaryCareRecordProfileQueryMeldkamer-PS): element hl7:patientId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.9001.html"
              test="count(hl7:patientId)&lt;=1">(TMP PrimaryCareRecordProfileQueryMeldkamer-PS): element hl7:patientId komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.9001
Context: hl7:queryByParameter/hl7:parameterList/hl7:patientId
Item: (TMP PrimaryCareRecordProfileQueryMeldkamer-PS)
-->

<rule context="hl7:queryByParameter/hl7:parameterList/hl7:patientId"
         id="tmp-db668767-a6e9-4724-95c3-5f19c824967d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.9001.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:value[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(TMP PrimaryCareRecordProfileQueryMeldkamer-PS): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.9001.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(TMP PrimaryCareRecordProfileQueryMeldkamer-PS): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.9001
Context: hl7:queryByParameter/hl7:parameterList/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']
Item: (TMP PrimaryCareRecordProfileQueryMeldkamer-PS)
-->

<rule context="hl7:queryByParameter/hl7:parameterList/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-cb32d23a-d219-4112-b7b0-89f276f82851">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.9001.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP PrimaryCareRecordProfileQueryMeldkamer-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.9001.html"
              test="@root='2.16.840.1.113883.2.4.6.3'">(TMP PrimaryCareRecordProfileQueryMeldkamer-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.9001.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP PrimaryCareRecordProfileQueryMeldkamer-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
</pattern>