<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.16
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.70.16">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.16
Context: *[hl7:actReference[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.16']]
Item: (TMP ActReferentie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.16
Context: *[hl7:actReference[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.16']]/hl7:actReference
Item: (TMP ActReferentie)
-->

<rule context="*[hl7:actReference[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.16']]/hl7:actReference"
         id="tmp-e9970cec-7962-4636-a511-3a1f692bdc3c">
      <let name="theClass" value="@classCode"/>
      <let name="theMood" value="@moodCode"/>
      <let name="theRoot" value="hl7:id/@root"/>
      <let name="theExtension" value="hl7:id/@extension"/>
      <assert role="error"
              test="ancestor::hl7:CareProvisionEvent//hl7:*[@classCode=$theClass and @moodCode=$theMood]/hl7:id[not(parent::hl7:actReference) and @root=$theRoot and (not(@extension) or @extension=$theExtension)]">(TMP ActReferentie): (TMP ActReferentie): actReference MOET verwijzen naar een element met dezelfde @classCode en @moodCode en hetzelfde id binnen dezelfde CareProvisionEvent</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.16.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.16'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.16']/@nullFlavor)">(TMP ActReferentie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.16'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.16.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.16'])&lt;=1">(TMP ActReferentie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.16'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.16.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP ActReferentie): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.16.html"
              test="count(hl7:id)&lt;=1">(TMP ActReferentie): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.16
Context: *[hl7:actReference[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.16']]/hl7:actReference/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.16']
Item: (TMP ActReferentie)
-->

<rule context="*[hl7:actReference[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.16']]/hl7:actReference/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.16']"
         id="tmp-541369f2-4a2f-41ab-b280-4c48bd5f1516">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.16.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.16'">(TMP ActReferentie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.16' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.16.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP ActReferentie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.16
Context: *[hl7:actReference[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.16']]/hl7:actReference/hl7:id
Item: (TMP ActReferentie)
-->

<rule context="*[hl7:actReference[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.16']]/hl7:actReference/hl7:id"
         id="tmp-16bab4b5-9a9f-484b-b5bd-d60bd425b572">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.16.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP ActReferentie): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>