<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.19
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.70.19">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']
Item: (TMP PersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']"
         id="tmp-299fe48a-5ed1-46d0-b131-305cf921e6db">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@determinerCode='INSTANCE'">(TMP PersonNL): De waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@classCode='PSN'">(TMP PersonNL): De waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="count(hl7:administrativeGenderCode)&lt;=1">(TMP PersonNL): element hl7:administrativeGenderCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="count(hl7:birthTime)&lt;=1">(TMP PersonNL): element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="count(hl7:birthPlace)&lt;=1">(TMP PersonNL): element hl7:birthPlace komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']
Item: (TMP PersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']"
         id="tmp-7fd4bf7a-7881-47aa-8fbf-621428b7a0df">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.19'">(TMP PersonNL): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.19' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP PersonNL): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:name
Item: (TMP PersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:name"
         id="tmp-1ae57df2-71df-4de9-8632-99e8b4599cd4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(TMP PersonNL): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:administrativeGenderCode
Item: (TMP PersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:administrativeGenderCode"
         id="tmp-319c0d64-805d-48b3-b0ec-62871870a365">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP PersonNL): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(TMP PersonNL): De waarde van @code MOET worden gekozen uit Value Set AdministrativeGender Administratieve geslachten DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">(TMP PersonNL): De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set AdministrativeGender Administratieve geslachten DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:birthTime
Item: (TMP PersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:birthTime"
         id="tmp-3ec28603-6898-45d7-a670-7ed97cf32c2c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP PersonNL): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:birthPlace
Item: (TMP PersonNL)
-->
</pattern>