<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.90.70
Description: Template: Aanleverbericht PRN 1e lijn naar PRN
-->
<pattern xmlns:xs="http://www.w3.org/2001/XMLSchema"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns:hl7="urn:hl7-org:v3"
         xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:sch="http://www.ascc.net/xml/schematron"
         xmlns:uuid="java:java.util.UUID"
         id="template-2.16.840.1.113883.2.4.6.10.90.70">
   <title>Aanleverbericht PRN 1e lijn naar PRN</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess
Item: albprn-1el
-->

<rule context="hl7:registrationProcess" id="tmp-0f09ebca-83b4-4df0-a944-102fbbe38072">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">albprn-1el: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&lt;=1">albprn-1el: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">albprn-1el: element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:statusCode)&lt;=1">albprn-1el: element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">albprn-1el: element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:effectiveTime)&lt;=1">albprn-1el: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:subject2)&gt;=1 and not(hl7:subject2/@nullFlavor)">albprn-1el: element hl7:subject2 is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:subject2)&lt;=1">albprn-1el: element hl7:subject2 komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:id
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:id"
         id="tmp-6da4e52e-69d1-43f1-af53-d2cb06aeb55c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:code
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:code"
         id="tmp-023256c2-6dd3-47c5-a30f-aa30af7fd976">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='900000' and @codeSystem='2.16.840.1.113883.2.4.15.4')">albprn-1el: De waarde van @code/@codeSystem MOET '900000' codeSystem '2.16.840.1.113883.2.4.15.4' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:statusCode
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:statusCode"
         id="tmp-35ce2fb0-afac-496f-8cc2-ca1429617b8f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='active')">albprn-1el: De waarde van @code MOET 'active' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:effectiveTime
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:effectiveTime"
         id="tmp-20fc6cfb-3a67-4f8d-980a-559a183e3e96">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">albprn-1el: element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:low)&lt;=1">albprn-1el: element hl7:low komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:effectiveTime/hl7:low
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:effectiveTime/hl7:low"
         id="tmp-f723738b-4054-499d-8807-611efb84d9f1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS.DATETIME.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2"
         id="tmp-f8ddf946-3c9f-45d2-a8b1-db22c107e8c8">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='SUBJ' ">albprn-1el: De waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='false' ">albprn-1el: @contextConductionInd SHALL have value 'false' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:CareProvisionEvent)&gt;=1 and not(hl7:CareProvisionEvent/@nullFlavor)">albprn-1el: element hl7:CareProvisionEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:CareProvisionEvent)&lt;=1">albprn-1el: element hl7:CareProvisionEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent"
         id="tmp-fd609373-5acf-479d-8f7a-2b937d098f37">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='PCPR' ">albprn-1el: De waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']/@nullFlavor)">albprn-1el: element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70'])&lt;=1">albprn-1el: element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:effectiveTime)&lt;=1">albprn-1el: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:effectiveTime)&lt;=1">albprn-1el: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:subject)&gt;=1 ">albprn-1el: element hl7:subject is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:subject)&lt;=1">albprn-1el: element hl7:subject komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:performer)&gt;=1 ">albprn-1el: element hl7:performer is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:performer)&lt;=1">albprn-1el: element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">albprn-1el: element hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">albprn-1el: element hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]])&lt;=1">albprn-1el: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:pertinentInformation3[@typeCode='REFR'])&lt;=1">albprn-1el: element hl7:pertinentInformation3[@typeCode='REFR'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:pertinentInformation3[@typeCode='SUBJ'])&lt;=1">albprn-1el: element hl7:pertinentInformation3[@typeCode='SUBJ'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">albprn-1el: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">albprn-1el: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">albprn-1el: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:pertinentInformation3[hl7:act[hl7:code[@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">albprn-1el: element hl7:pertinentInformation3[hl7:act[hl7:code[@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]])&lt;=1">albprn-1el: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">albprn-1el: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">albprn-1el: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">albprn-1el: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">albprn-1el: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">albprn-1el: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]])&lt;=1">albprn-1el: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">albprn-1el: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='IUVD1contr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">albprn-1el: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='IUVD1contr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">albprn-1el: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">albprn-1el: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]])&lt;=1">albprn-1el: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">albprn-1el: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]])&lt;=1">albprn-1el: element hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]])&lt;=1">albprn-1el: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]])&lt;=1">albprn-1el: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">albprn-1el: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">albprn-1el: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]])&lt;=1">albprn-1el: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]])&lt;=1">albprn-1el: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]])&lt;=9">albprn-1el: element hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]] komt te vaak voor [max 9x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.70']"
         id="tmp-b5ed6e74-7da0-441e-a070-4ff8d39a9af6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@root='2.16.840.1.113883.2.4.6.10.90.70'">albprn-1el: @root MOET de waarde '2.16.840.1.113883.2.4.6.10.90.70' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">albprn-1el: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:effectiveTime
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:effectiveTime"
         id="tmp-770307f1-c33d-4e62-b2ac-e78356e7f74f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">albprn-1el: element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:low)&lt;=1">albprn-1el: element hl7:low komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:low
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:low"
         id="tmp-ddddfe73-b6ba-47f8-a139-72e0c675b793">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:effectiveTime
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:effectiveTime"
         id="tmp-53438204-6afc-4b60-937e-ff0cb26483c3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">albprn-1el: element hl7:high is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:high)&lt;=1">albprn-1el: element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:high
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:high"
         id="tmp-1e641c0d-c158-49e7-b1e2-2ac3e26c17c5">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject"
         id="tmp-b1bc8feb-af76-4039-8a0b-07da814094e0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='SBJ' ">albprn-1el: De waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)">albprn-1el: element hl7:patient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:patient)&lt;=1">albprn-1el: element hl7:patient komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient"
         id="tmp-8c756f1a-7b43-40d0-bed3-920dc6a0ff31">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='PAT' ">albprn-1el: De waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error" test="count(hl7:id)&gt;0">albprn-1el: identification mother requires either a BSN or a local id or both</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 ">albprn-1el: element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">albprn-1el: element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">albprn-1el: element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">albprn-1el: element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:statusCode)&lt;=1">albprn-1el: element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:patientPerson)&gt;=1 and not(hl7:patientPerson/@nullFlavor)">albprn-1el: element hl7:patientPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:patientPerson)&lt;=1">albprn-1el: element hl7:patientPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3'][@root='2.16.840.1.113883.2.4.6.3']
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3'][@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-dae3adf0-0cdd-46c4-8383-1a3ca509db7e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@root='2.16.840.1.113883.2.4.6.3'">albprn-1el: @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">albprn-1el: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="string-length(@extension)&gt;0">albprn-1el: attribute @extension MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:id
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:id"
         id="tmp-dddcf457-de94-4a4a-a08f-e50fee179515">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="string-length(@root)&gt;0">albprn-1el: attribute @root MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="string-length(@extension)&gt;0">albprn-1el: attribute @extension MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:addr
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:addr"
         id="tmp-7096d9df-554d-4665-bab7-00bd61267e14">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @use='HP' or @use='PHYS' or @use='TMP' or @use='HP PHYS' or @use='TMP PHYS' ">albprn-1el: De waarde van @use MOET één van de volgende codes bevatten: 'HP', 'PHYS', 'TMP', 'HP PHYS', 'TMP PHYS'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:postalCode)&gt;=1 and not(hl7:postalCode/@nullFlavor)">albprn-1el: element hl7:postalCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:postalCode)&lt;=1">albprn-1el: element hl7:postalCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:addr/hl7:postalCode
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:statusCode
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:statusCode"
         id="tmp-1c45c7cc-f1e6-4bd9-afde-577ef59e7c9f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='active')">albprn-1el: De waarde van @code MOET 'active' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson"
         id="tmp-4a918908-5671-4e42-88ed-e2d955243bf9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='PSN' ">albprn-1el: De waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@determinerCode='INSTANCE' ">albprn-1el: @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error" test="hl7:deceasedInd/@value='false' or hl7:deceasedTime">albprn-1el: Datum maternale sterfte: if deceasedInd=true an element deceasedTime shall be present</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:name)&gt;=1 ">albprn-1el: element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:name)&lt;=2">albprn-1el: element hl7:name komt te vaak voor [max 2x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)">albprn-1el: element hl7:birthTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:birthTime)&lt;=1">albprn-1el: element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:languageCommunication)&lt;=1">albprn-1el: element hl7:languageCommunication komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:deceasedInd)&gt;=1 and not(hl7:deceasedInd/@nullFlavor)">albprn-1el: element hl7:deceasedInd is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:deceasedInd)&lt;=1">albprn-1el: element hl7:deceasedInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:deceasedTime)&lt;=1">albprn-1el: element hl7:deceasedTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:ethnicGroupCode)&gt;=1 ">albprn-1el: element hl7:ethnicGroupCode is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:ethnicGroupCode)&lt;=1">albprn-1el: element hl7:ethnicGroupCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:name
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:name"
         id="tmp-5196cd99-65bb-448c-94e5-513cc902a334">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @use='OR' or @use='L' ">albprn-1el: De waarde van @use MOET één van de volgende codes bevatten: 'OR', 'L'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:birthTime
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:birthTime"
         id="tmp-9c59ad63-b1f1-40be-bc4f-d4e233442f47">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:languageCommunication
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:languageCommunication"
         id="tmp-89407f7f-df74-41ac-bf44-4566173f2dbd">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:languageCommunication)&gt;=1 and not(hl7:languageCommunication/@nullFlavor)">albprn-1el: element hl7:languageCommunication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:languageCommunication)&lt;=1">albprn-1el: element hl7:languageCommunication komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:proficiencyLevelCode)&gt;=1 and not(hl7:proficiencyLevelCode/@nullFlavor)">albprn-1el: element hl7:proficiencyLevelCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:proficiencyLevelCode)&lt;=1">albprn-1el: element hl7:proficiencyLevelCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:languageCommunication
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:languageCommunication"
         id="tmp-16045442-4cd7-46b7-96b9-f229b62355ce">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='nl-NL' and @codeSystem='2.16.840.1.113883.6.121')">albprn-1el: De waarde van @code/@codeSystem MOET 'nl-NL' codeSystem '2.16.840.1.113883.6.121' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:proficiencyLevelCode
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:proficiencyLevelCode"
         id="tmp-f470eaaa-ccf4-4697-be76-d087bc733b37">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-LanguageAbilityProficiency-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-LanguageAbilityProficiency-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set LanguageAbilityProficiency Language Ability Proficiency DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:deceasedInd
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:deceasedInd"
         id="tmp-3b39a456-a520-4173-8af3-cde599e4dbb7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:deceasedTime
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:deceasedTime"
         id="tmp-e5b9f25a-b842-4d58-b57e-67b4d8bba429">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:ethnicGroupCode
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:ethnicGroupCode"
         id="tmp-ed521ae8-0ac3-4272-a0a6-662f4f3c455b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-EthnicGroup-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-EthnicGroup-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set EthnicGroup DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer"
         id="tmp-9c631e58-d28b-41ef-80fe-3941dbca6f3e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PPRF' ">albprn-1el: De waarde van @typeCode MOET 'PPRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:responsibleParty)&gt;=1 ">albprn-1el: element hl7:responsibleParty is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:responsibleParty)&lt;=1">albprn-1el: element hl7:responsibleParty komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty"
         id="tmp-74de166c-2f1d-45f9-9857-d7cb80b27700">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='ASSIGNED' ">albprn-1el: De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:id[@root='2.16.528.1.1007.3.1']|hl7:id[@root='2.16.840.1.113883.2.4.6.1']|hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.2'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="$elmcount&gt;=1">albprn-1el: keuze (hl7:id[@root='2.16.528.1.1007.3.1'] of hl7:id[@root='2.16.840.1.113883.2.4.6.1'] of hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.2']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:agentPerson)&gt;=1 and not(hl7:agentPerson/@nullFlavor)">albprn-1el: element hl7:agentPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:agentPerson)&lt;=1">albprn-1el: element hl7:agentPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:representedOrganization)&gt;=1 and not(hl7:representedOrganization/@nullFlavor)">albprn-1el: element hl7:representedOrganization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:representedOrganization)&lt;=1">albprn-1el: element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:id[@root='2.16.528.1.1007.3.1']
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-91e236df-b86f-4804-815e-47047e36fc2e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@root='2.16.528.1.1007.3.1'">albprn-1el: @root MOET de waarde '2.16.528.1.1007.3.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">albprn-1el: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:id[@root='2.16.840.1.113883.2.4.6.1']
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:id[@root='2.16.840.1.113883.2.4.6.1']"
         id="tmp-f39618d9-9656-493e-a1a9-fe53f1340831">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II.NL.AGB"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@root='2.16.840.1.113883.2.4.6.1'">albprn-1el: @root MOET de waarde '2.16.840.1.113883.2.4.6.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">albprn-1el: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.2']
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.2']"
         id="tmp-51938796-f261-4d5f-b684-6ea460ce689f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@root='2.16.840.1.113883.2.4.3.22.98.2'">albprn-1el: @root MOET de waarde '2.16.840.1.113883.2.4.3.22.98.2' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">albprn-1el: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:code
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:code"
         id="tmp-91a11f82-6cbd-4afc-812b-33e21fb007ae">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ZorgverlenerType-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ZorgverlenerType-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set ZorgverlenerType DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:translation)&lt;=1">albprn-1el: element hl7:translation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:code
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:code/hl7:translation
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:code/hl7:translation"
         id="tmp-e93bbb60-3b8f-478f-a76d-6e226bff6fd9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ZorgverlenerTypeLVR-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ZorgverlenerTypeLVR-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set ZorgverlenerTypeLVR DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:agentPerson
Item: albprn-1el
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:agentPerson
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:agentPerson
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:agentPerson/hl7:name
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:agentPerson/hl7:name"
         id="tmp-52a2f034-d885-47e0-84bd-e54a372abd81">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization"
         id="tmp-7aff996d-38b1-434c-bfc3-9f040dff9c3a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">albprn-1el: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&lt;=1">albprn-1el: element hl7:id komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:id[@root='2.16.840.1.113883.2.4.6.1']|hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.1']|hl7:id[@root='2.16.528.1.1007.3.3'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="$elmcount&gt;=1">albprn-1el: keuze (hl7:id[@root='2.16.840.1.113883.2.4.6.1'] of hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.1'] of hl7:id[@root='2.16.528.1.1007.3.3']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">albprn-1el: element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:name)&lt;=1">albprn-1el: element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">albprn-1el: element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:addr)&lt;=1">albprn-1el: element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:id
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:id"
         id="tmp-8ae4ead6-7763-4629-9856-5ff7368fbb13">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.2.4.6.1']
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.2.4.6.1']"
         id="tmp-a4515995-43be-4fbb-bce5-909ba7d2f554">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II.NL.AGB"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@root='2.16.840.1.113883.2.4.6.1'">albprn-1el: @root MOET de waarde '2.16.840.1.113883.2.4.6.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">albprn-1el: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.1']
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.1']"
         id="tmp-3969b30e-a926-4ea2-8d9e-45d397bbd240">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@root='2.16.840.1.113883.2.4.3.22.98.1'">albprn-1el: @root MOET de waarde '2.16.840.1.113883.2.4.3.22.98.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">albprn-1el: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-f138ecd1-3378-4151-98bf-6615dd41dadf">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@root='2.16.528.1.1007.3.3'">albprn-1el: @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">albprn-1el: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:code
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:code"
         id="tmp-6ef54805-e633-470e-a3bf-a5bf4d196be8">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ZorgaanbiederType-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ZorgaanbiederType-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set ZorgaanbiederType DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:name
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:name"
         id="tmp-771a225a-3855-4722-be2d-e76292d4904c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:addr
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:performer/hl7:responsibleParty/hl7:representedOrganization/hl7:addr"
         id="tmp-63a89cd9-6203-4569-aad3-a410208b42fd">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:reference
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:reference"
         id="tmp-279861fc-0a8f-43e0-a905-0aa2e47cd484">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='REFR' ">albprn-1el: De waarde van @typeCode MOET 'REFR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:patientCareProvisionEvent)&gt;=1 and not(hl7:patientCareProvisionEvent/@nullFlavor)">albprn-1el: element hl7:patientCareProvisionEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:patientCareProvisionEvent)&lt;=1">albprn-1el: element hl7:patientCareProvisionEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:reference/hl7:patientCareProvisionEvent
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:reference/hl7:patientCareProvisionEvent"
         id="tmp-123be810-b7ce-4584-817d-5e97c72c984e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='PCPR' ">albprn-1el: De waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">albprn-1el: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&lt;=1">albprn-1el: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:reference/hl7:patientCareProvisionEvent/hl7:id
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:reference/hl7:patientCareProvisionEvent/hl7:id"
         id="tmp-cb22931e-3200-40d1-bc8b-9dcbf5d63cfd">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:reference/hl7:patientCareProvisionEvent/hl7:code
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:reference/hl7:patientCareProvisionEvent/hl7:code"
         id="tmp-dccecded-ba82-438a-a15a-d916f3d9af31">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')">albprn-1el: De waarde van @code/@codeSystem MOET 'OBS' codeSystem '2.16.840.1.113883.5.4' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-eb0065d6-e428-4885-81ce-91a3db5bedc5">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-081912f3-a105-42e0-ae4f-df7830e948b8">
      <extends rule="tmp-4cc9ca31-1e23-4c1c-93f3-dbd07c4897a9"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule id="tmp-4cc9ca31-1e23-4c1c-93f3-dbd07c4897a9" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:act)&lt;=1">albprn-1el: element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act"
         id="tmp-94e7f13c-8020-417a-9718-f834a96125e3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='LIST' ">albprn-1el: De waarde van @classCode MOET 'LIST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship)&gt;=1 and not(hl7:inboundRelationship/@nullFlavor)">albprn-1el: element hl7:inboundRelationship is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship)&lt;=1">albprn-1el: element hl7:inboundRelationship komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:code"
         id="tmp-d2be640f-1bed-4c39-81ca-854bd67a1976">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')">albprn-1el: De waarde van @code/@codeSystem MOET 'VERLIND' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship"
         id="tmp-5bca26cb-6817-4f32-988b-1ccaf955aeee">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">albprn-1el: element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:observation)&lt;=1">albprn-1el: element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation"
         id="tmp-44f916f9-19d9-4b07-84ff-3a466d769a7d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:code"
         id="tmp-bddef8ea-9f08-46df-8fcd-2790af8a8349">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')">albprn-1el: De waarde van @code/@codeSystem MOET 'VERLIND' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:value"
         id="tmp-8f4eb3dd-6eeb-4991-85a9-30fbe0064aa3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              test="@nullFlavor or @value='false' or count(../hl7:inboundRelationship)&gt;0">albprn-1el:  Als er sprake van ziekten en bijzonderheden is dan moet een lijst soort ziekten
                                als inboundRelationship component worden meegegeven</assert>
      <assert role="error" test="@value='true' or count(../hl7:inboundRelationship)=0">albprn-1el:  Als er geen sprake van ziekten en bijzonderheden is dan mag er geen lijst soort ziekten als inboundRelationship
                                component worden meegegeven</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship"
         id="tmp-80782018-3b99-44c8-a03a-12a5673b345d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation"
         id="tmp-71ca77d3-f032-4373-9afa-984abf33904f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&lt;=1">albprn-1el: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:uncertaintyCode)&lt;=1">albprn-1el: element hl7:uncertaintyCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:id
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:code"
         id="tmp-e1bb3be2-25ee-4370-aaed-88ed64633e10">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')">albprn-1el: De waarde van @code/@codeSystem MOET 'VERLIND' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:uncertaintyCode
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:value"
         id="tmp-e7e849a5-f243-4289-bfc2-2f34ad51e717">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-VILLijst10002000-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-VILLijst10002000-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set VILLijst10002000 DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-13457346-74b9-49e0-a44e-dbbc49fa81e9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-dac74b4c-a7bb-4570-aa6e-5281dc2eb4d5">
      <extends rule="tmp-b9e99517-055b-46aa-9f35-1f4ab31c07ae"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule id="tmp-b9e99517-055b-46aa-9f35-1f4ab31c07ae" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:act)&lt;=1">albprn-1el: element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act"
         id="tmp-e191cc25-e2f1-4294-955b-a413b9bf512d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='LIST' ">albprn-1el: De waarde van @classCode MOET 'LIST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship)&gt;=1 and not(hl7:inboundRelationship/@nullFlavor)">albprn-1el: element hl7:inboundRelationship is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship)&lt;=1">albprn-1el: element hl7:inboundRelationship komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:code"
         id="tmp-1e01899b-bd9b-4518-99fe-b4d3a2199888">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')">albprn-1el: De waarde van @code/@codeSystem MOET 'OBSTANAM' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship"
         id="tmp-0ccf09ae-bf6b-495d-bcb8-3716489fcff5">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">albprn-1el: element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:observation)&lt;=1">albprn-1el: element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation"
         id="tmp-d66918ca-c57c-4be2-942e-c1d0eb48b8ec">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:code"
         id="tmp-9a48ea2d-473f-4166-af95-5d7b76ee8012">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')">albprn-1el: De waarde van @code/@codeSystem MOET 'OBSTANAM' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:value"
         id="tmp-557ea0c6-daf5-477c-befe-1ee9d60e9b30">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              test="@nullFlavor or @value='false' or count(../hl7:inboundRelationship)&gt;0">albprn-1el:  Als er sprake van ziekten en bijzonderheden is dan moet een lijst soort ziekten
                                als inboundRelationship component worden meegegeven</assert>
      <assert role="error" test="@value='true' or count(../hl7:inboundRelationship)=0">albprn-1el:  Als er geen sprake van ziekten en bijzonderheden is dan mag er geen lijst soort ziekten als inboundRelationship
                                component worden meegegeven</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship"
         id="tmp-edf388df-a50a-4746-b7da-9f7d5d2f616c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation"
         id="tmp-ce826585-abe2-4743-b746-b39e35ec217b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&lt;=1">albprn-1el: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:uncertaintyCode)&lt;=1">albprn-1el: element hl7:uncertaintyCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:id
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:code"
         id="tmp-4b7d4848-ab14-4b30-99f2-4d8ba8976b7c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')">albprn-1el: De waarde van @code/@codeSystem MOET 'OBSTANAM' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:uncertaintyCode
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:value"
         id="tmp-45ae7b92-5bb2-4f3a-bcee-6870007b1e1b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-VILLijst3000-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-VILLijst3000-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set VILLijst3000 DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-555d3f1e-2ab4-4dae-bfd1-3963bbc19c47">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-a9d56e84-d665-42ab-a43e-85654cd0b4cc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation"
         id="tmp-056ae194-41c5-495e-bb35-4c21b8eb1df0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code"
         id="tmp-2e201d76-6537-401a-a889-f8a9439fcdcc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">albprn-1el: De waarde van @code/@codeSystem MOET 'PRN2102' codeSystem '2.16.840.1.113883.2.4.3.22.1.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN2102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value"
         id="tmp-165f4aa7-3206-4b04-9108-4f1ee76ff012">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-PeriodeZorgverlening-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-PeriodeZorgverlening-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set PeriodeZorgverlening DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']"
         id="tmp-a0dd3731-8e09-4aae-9aad-83090da93cb4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='REFR' ">albprn-1el: De waarde van @typeCode MOET 'REFR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:performer
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:performer/hl7:assignedEntity
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:performer/hl7:assignedEntity"
         id="tmp-9cd53a6a-6379-40de-9161-6b64a06f4a6b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='ASSIGNED' ">albprn-1el: De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:performer/hl7:assignedEntity/hl7:code
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-e7e8d42b-7e95-4423-9e52-4e85a9c84df7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111')">albprn-1el: De waarde van @code MOET één van de volgende codes bevatten: '01.019' codeSystem '2.16.840.1.113883.2.4.15.111 of 01.046' codeSystem '2.16.840.1.113883.2.4.15.111'.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']"
         id="tmp-e1f8d082-f9fb-4fe8-9004-b1e97691d53d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='REFR' ">albprn-1el: De waarde van @typeCode MOET 'REFR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:performer
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:performer/hl7:assignedEntity
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:performer/hl7:assignedEntity"
         id="tmp-fa8da35c-d91b-48e0-8b65-32c6210db44b">
      <extends rule="tmp-263ea28b-3415-4e9c-8cdd-c964971a587b"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='ASSIGNED' ">albprn-1el: De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:performer/hl7:assignedEntity/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-aeb9034d-f265-4ced-8324-fd36dc7b02dc">
      <extends rule="tmp-bccfef84-ee4c-4ed7-8bc4-14d98e08544f"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111') or (@code='01.046' and @codeSystem='2.16.840.1.113883.2.4.15.111')">albprn-1el: De waarde van @code MOET één van de volgende codes bevatten: '01.019' codeSystem '2.16.840.1.113883.2.4.15.111 of 01.046' codeSystem '2.16.840.1.113883.2.4.15.111'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act"
         id="tmp-155b28cb-426d-492f-9ecf-af5ec7b798b0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='PCPR' ">albprn-1el: De waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='RQO' ">albprn-1el: De waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:performer)&lt;=1">albprn-1el: element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:code"
         id="tmp-9af8a596-baa9-4533-bcf1-b2488f13e1f7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='OBS' and @codeSystem='2.16.840.1.113883.5.4')">albprn-1el: De waarde van @code/@codeSystem MOET 'OBS' codeSystem '2.16.840.1.113883.5.4' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:performer
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:performer"
         id="tmp-35479449-0c28-4b3c-994c-8b6bd5a553a3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PRF' ">albprn-1el: De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">albprn-1el: element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:assignedEntity)&lt;=1">albprn-1el: element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:performer/hl7:assignedEntity
Item: albprn-1el
-->
<rule id="tmp-263ea28b-3415-4e9c-8cdd-c964971a587b" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:representedOrganization)&gt;=1 and not(hl7:representedOrganization/@nullFlavor)">albprn-1el: element hl7:representedOrganization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:representedOrganization)&lt;=1">albprn-1el: element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:performer/hl7:assignedEntity/hl7:code
Item: albprn-1el
-->
<rule id="tmp-bccfef84-ee4c-4ed7-8bc4-14d98e08544f" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-EchelonOvername-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-ZorgverlenerType-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-EchelonOvername-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-ZorgverlenerType-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set EchelonOvernameofZorgverlenerType DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:performer/hl7:assignedEntity/hl7:representedOrganization
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:performer/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-f43b9777-9519-4e99-a897-f07659f602e7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">albprn-1el: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&lt;=1">albprn-1el: element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id"
         id="tmp-d351247b-e50f-4959-a324-9aaf89a6d3e9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:inboundRelationship
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:inboundRelationship"
         id="tmp-4f0daec5-2826-426a-ab47-c5cba64c9d9c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='RSON' ">albprn-1el: De waarde van @typeCode MOET 'RSON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:priorityNumber)&lt;=1">albprn-1el: element hl7:priorityNumber komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:inboundRelationship
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:inboundRelationship/hl7:priorityNumber
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:inboundRelationship/hl7:priorityNumber"
         id="tmp-82d6eed4-025f-4c82-b037-1527353467d9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT.NONNEG"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="(@nullFlavor or (number($theValue)&gt;=1 and number($theValue)&lt;=2))">albprn-1el: value MOET in bereik [1..2] liggen  </assert>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="$digitok">albprn-1el: @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:inboundRelationship
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:inboundRelationship/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:inboundRelationship/hl7:observation"
         id="tmp-565ef20b-84af-4c0d-b47d-1edd58ed78e5">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:code"
         id="tmp-78d0cfd6-d18e-458e-9ef1-71417deb87d6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='RefOutReas' and @codeSystem='2.16.840.1.113883.2.4.4.13')">albprn-1el: De waarde van @code/@codeSystem MOET 'RefOutReas' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:value"
         id="tmp-40be5a28-f0f1-4425-9735-201a3e23c99b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-VILLijst-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-VILLijst-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set VILLijst DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:translation)&lt;=1">albprn-1el: element hl7:translation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:value/hl7:translation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='REFR']/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:value/hl7:translation"
         id="tmp-8934dcb8-fcd6-432f-afeb-667437e2e56f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-RedenOvernameLVR-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-RedenOvernameLVR-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set RedenOvernameLVR DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']"
         id="tmp-6788e051-cf82-430d-8c62-e896c3bb52a0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='SUBJ' ">albprn-1el: De waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']"
         id="tmp-f29f10d8-e5b2-4c5c-9aec-a2316008245c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='SUBJ' ">albprn-1el: De waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act"
         id="tmp-0943d182-9f6b-4fe4-84c8-49b2d41de38d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='PCPR' ">albprn-1el: De waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='RQO' ">albprn-1el: De waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:performer)&lt;=1">albprn-1el: element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act/hl7:code"
         id="tmp-83058f1d-dcf1-44c0-9e78-8c022487363a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='11429006' and @codeSystem='2.16.840.1.113883.6.96')">albprn-1el: De waarde van @code/@codeSystem MOET '11429006' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act/hl7:performer
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act/hl7:performer"
         id="tmp-58ee87c2-2cf7-4852-aa15-8174afd7e34e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PRF' ">albprn-1el: De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">albprn-1el: element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:assignedEntity)&lt;=1">albprn-1el: element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act/hl7:performer/hl7:assignedEntity
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act/hl7:performer/hl7:assignedEntity"
         id="tmp-f718f6e6-f875-4e33-a8ab-f8f7328ac55a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='ASSIGNED' ">albprn-1el: De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:representedOrganization)&gt;=1 and not(hl7:representedOrganization/@nullFlavor)">albprn-1el: element hl7:representedOrganization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:representedOrganization)&lt;=1">albprn-1el: element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act/hl7:performer/hl7:assignedEntity/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-40d2ec67-700f-4526-b711-a395fe959342">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-EchelonOvername-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-EchelonOvername-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set EchelonOvername DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act/hl7:performer/hl7:assignedEntity/hl7:representedOrganization
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act/hl7:performer/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-427e1af0-3d08-409d-849f-9d2e585b09fc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">albprn-1el: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&lt;=1">albprn-1el: element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id"
         id="tmp-b7e4fcc4-df81-4831-b14c-19f26173f22e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act/hl7:inboundRelationship
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act/hl7:inboundRelationship"
         id="tmp-3318b9a5-d482-4949-acb6-1e4f392bed9e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='RSON' ">albprn-1el: De waarde van @typeCode MOET 'RSON' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act/hl7:inboundRelationship
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act/hl7:inboundRelationship/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act/hl7:inboundRelationship/hl7:observation"
         id="tmp-1bb97be0-a5de-4685-8f6e-e1792281670e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:code"
         id="tmp-d74972bc-4b61-4337-b481-7659b057245e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='RefConsReas' and @codeSystem='2.16.840.1.113883.2.4.4.13')">albprn-1el: De waarde van @code/@codeSystem MOET 'RefConsReas' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[@typeCode='SUBJ']/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:value"
         id="tmp-fffd5bf1-4849-4217-9f55-69bea4ad1c6d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-VILLijst-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-VILLijst-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set VILLijst DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[@code='364320009' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[@code='364320009' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-4651fe51-ff05-4b21-84c1-6be2095be855">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[@code='364320009' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[@code='364320009' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-b6b0bea7-295b-4d7c-bff0-113d138686b1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[@code='364320009' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[@code='364320009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:act
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[@code='364320009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:act"
         id="tmp-58fc5f97-ce65-4eeb-ac08-c0b34fe20844">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='COND' ">albprn-1el: De waarde van @classCode MOET 'COND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:effectiveTime)&lt;=1">albprn-1el: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[@code='364320009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:act/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[@code='364320009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:act/hl7:code"
         id="tmp-764c1130-6ad7-4fe3-8118-d18df2bcd359">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='364320009' and @codeSystem='2.16.840.1.113883.6.96')">albprn-1el: De waarde van @code/@codeSystem MOET '364320009' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[@code='364320009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:act/hl7:effectiveTime
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[@code='364320009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:act/hl7:effectiveTime"
         id="tmp-80a95872-95d7-479f-845f-8cf8b18bbbc3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-dee55142-9ffc-4786-b971-b052fcef83a0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-f54c148e-0f45-42e3-b051-cc12a8bb18e5">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-c482b2f0-506f-4646-9fa1-82fc85957d16">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-6a4d4404-b812-40dc-86bf-dd43bcb735c1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13')">albprn-1el: De waarde van @code/@codeSystem MOET 'Gravidity' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-aff718d3-a412-4efb-a4dc-3a5ed31151d4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=75))">albprn-1el: value MOET in bereik [0..75] liggen  </assert>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="$digitok">albprn-1el: @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-608a5c08-f966-4954-baa4-33ed208b30e5">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-1f193bfb-890b-4746-a880-75a034b40e90">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-404a0da6-8e7f-42f4-91ab-ffec653d1de7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:effectiveTime)&lt;=1">albprn-1el: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-f3c5de65-1fc6-4ac2-9142-9e42e68d9e80">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13')">albprn-1el: De waarde van @code/@codeSystem MOET 'NFetusMax' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-0440c03b-4ea3-48fa-ad5e-cc9fd7959e7a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-8cea5f2a-fe55-4be6-bd50-5143a8b1a6fb">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="(@nullFlavor or (number($theValue)&gt;=1 and number($theValue)&lt;=9))">albprn-1el: value MOET in bereik [1..9] liggen  </assert>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="$digitok">albprn-1el: @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-ab00eb67-dfef-4b9a-921e-0a0cec9c3317">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-ed4fe222-fbcd-4561-8d52-4315c6ed0b2c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-6030c3c6-6cff-4700-a350-d376aabb82d9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:effectiveTime)&lt;=1">albprn-1el: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-87b13bca-faad-4a80-a3d9-99df6ad1ebee">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13')">albprn-1el: De waarde van @code/@codeSystem MOET 'NFetusCur' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-29b3d10b-fb58-4178-aabd-0d803fe68fa8">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-6993d4f5-49ff-458f-84cc-f17ee53a9c87">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=9))">albprn-1el: value MOET in bereik [0..9] liggen  </assert>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="$digitok">albprn-1el: @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-117631fa-b907-420c-a665-bb34656e5493">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-8405e50a-d903-4b38-a08e-233e84d89e72">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-1cfca95c-6d32-4b14-aa95-b98509452177">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:effectiveTime)&gt;=1 ">albprn-1el: element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:effectiveTime)&lt;=1">albprn-1el: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">albprn-1el: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">albprn-1el: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&gt;=1 and not(hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/@nullFlavor)">albprn-1el: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">albprn-1el: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-032781ac-530f-4abf-b75a-44e62e654a4b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')">albprn-1el: De waarde van @code/@codeSystem MOET 'EDD' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-678b3068-4bb2-4fef-9305-42c0de4fd408">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-18856a7b-ceb4-4fa4-aa43-ea6e70206ad4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-d8cef2cc-3304-442e-8df8-89398a77d4e6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='SPRT' ">albprn-1el: De waarde van @typeCode MOET 'SPRT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-9f2f5fe0-5921-4871-ae26-fc3a865af41a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='SPRT' ">albprn-1el: De waarde van @typeCode MOET 'SPRT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-106c96ae-2a10-4999-bd8b-25e466014520">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">albprn-1el: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-8163dd1e-14fc-4dc4-810a-b7ac86b44293">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13')">albprn-1el: De waarde van @code/@codeSystem MOET 'EDDBasedOn' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-afb74891-75be-4920-95df-974fb6e279ee">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-EDDBasis-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-EDDBasis-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set EDDBasis DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-e79d0f5f-132c-4426-8504-b7722115794e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-4be5aab4-3f00-4356-b0e5-2cce30718b24">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-81b60e0e-3467-413c-9ad9-f06197936bed">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">albprn-1el: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-762de5a8-bae9-45e7-ae14-fc4b1a4dabcc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')">albprn-1el: De waarde van @code/@codeSystem MOET 'ActualEDD' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-56a2f7fc-ceb8-408f-972f-c8016c02a4a1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-2e98605f-889b-47b5-b7aa-047bc9baf62a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-e6738463-0d85-4425-be86-2d608c388ded">
      <extends rule="tmp-5a0b045a-6e0c-41c5-9a4e-b73dbe3540d9"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule id="tmp-5a0b045a-6e0c-41c5-9a4e-b73dbe3540d9" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">albprn-1el: element hl7:act is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:act)&lt;=1">albprn-1el: element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act"
         id="tmp-29a22367-989e-468b-9583-26733cbe42df">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='COND' ">albprn-1el: De waarde van @classCode MOET 'COND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">albprn-1el: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&lt;=1">albprn-1el: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:id
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:id"
         id="tmp-267fb764-b412-446b-8f78-b635100ea07c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:code[@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:code"
         id="tmp-78d3919f-42db-4a36-bad9-404b48ec9511">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='LVR1AdmNr' and @codeSystem='2.16.840.1.113883.2.4.4.13')">albprn-1el: De waarde van @code/@codeSystem MOET 'LVR1AdmNr' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-c9392c0e-32fc-43cc-8929-e5648c64cd41">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-5eb0926f-b8f3-4c1a-868b-3dda41603442">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation"
         id="tmp-03f90294-2ede-4db2-bb47-fc65287ac40f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              test="hl7:value/@value='false' or count(hl7:inboundRelationship[hl7:procedure[hl7:code[@code='61285001'][@codeSystem='2.16.840.1.113883.6.96']]])&gt;0">albprn-1el: Ovulatie-inductie toegepast: required if Subfertiliteitsbehandeling value = true</assert>
      <assert role="error"
              test="hl7:value/@value='false' or count(hl7:inboundRelationship[hl7:procedure[hl7:code[@code='63487001'][@codeSystem='2.16.840.1.113883.6.96']]])&gt;0">albprn-1el: Geassisteerde conceptie: required if Subfertiliteitsbehandeling value = true</assert>
      <assert role="error"
              test="hl7:value/@value='false' or count(hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009'][@codeSystem='2.16.840.1.113883.6.96']]])&gt;0">albprn-1el: Eiceldonatie toegepast: required if Subfertiliteitsbehandeling value = true</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">albprn-1el: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship[hl7:procedure[hl7:code[@code='61285001' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">albprn-1el: element hl7:inboundRelationship[hl7:procedure[hl7:code[@code='61285001' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code"
         id="tmp-6a8c8b65-ccce-4625-ab21-b19096348113">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">albprn-1el: De waarde van @code/@codeSystem MOET 'PRN3206' codeSystem '2.16.840.1.113883.2.4.3.22.1.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value"
         id="tmp-43c7dc7c-e047-4ff6-9131-1bd37a1b8b16">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='61285001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='61285001' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-ab84f86c-8adc-44e5-83ac-473d63fd0493">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='61285001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='61285001' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-ab9bda2a-212b-4f61-820d-cf58811260f3">
      <extends rule="tmp-460e3c16-48a9-423b-9cdd-d848a8be7f78"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='61285001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: albprn-1el
-->
<rule id="tmp-460e3c16-48a9-423b-9cdd-d848a8be7f78" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:procedure)&gt;=1 and not(hl7:procedure/@nullFlavor)">albprn-1el: element hl7:procedure is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:procedure)&lt;=1">albprn-1el: element hl7:procedure komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='61285001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='61285001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure"
         id="tmp-76f66189-318e-4c73-8e6d-fa12febc58b9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='PROC' ">albprn-1el: De waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="string-length(@negationInd)&gt;0">albprn-1el: attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&gt;=1 ">albprn-1el: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&lt;=1">albprn-1el: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='61285001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:id
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='61285001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:id"
         id="tmp-4dc84127-00f4-40e1-94d6-dd0fa9363b0b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor='NI'">albprn-1el: De waarde van @nullFlavor MOET 'NI' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='61285001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='61285001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:code"
         id="tmp-abf61219-1d49-4d8c-aa09-27b3c4866a9d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='61285001' and @codeSystem='2.16.840.1.113883.6.96')">albprn-1el: De waarde van @code/@codeSystem MOET '61285001' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='63487001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='63487001' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-81673888-5158-44df-b7c2-bf8ff5d711dc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='63487001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='63487001' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-748a28c2-ad71-40a5-afa6-ae6876d53777">
      <extends rule="tmp-36cf7389-9441-450a-9978-29e75b6143d9"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='63487001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: albprn-1el
-->
<rule id="tmp-36cf7389-9441-450a-9978-29e75b6143d9" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:procedure)&gt;=1 and not(hl7:procedure/@nullFlavor)">albprn-1el: element hl7:procedure is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:procedure)&lt;=1">albprn-1el: element hl7:procedure komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='63487001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='63487001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure"
         id="tmp-ca3d8493-5cea-43c5-bb47-8ef5f5d77680">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='PROC' ">albprn-1el: De waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="string-length(@negationInd)&gt;0">albprn-1el: attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&gt;=1 ">albprn-1el: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&lt;=1">albprn-1el: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:methodCode)&gt;=1 ">albprn-1el: element hl7:methodCode is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:methodCode)&lt;=1">albprn-1el: element hl7:methodCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='63487001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:id
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='63487001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:id"
         id="tmp-2691813b-6b39-4f33-a544-8fbd99d1c830">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='63487001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='63487001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:code"
         id="tmp-756e12ca-bbee-456d-ad93-7a37dcf8d6d7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='63487001' and @codeSystem='2.16.840.1.113883.6.96')">albprn-1el: De waarde van @code/@codeSystem MOET '63487001' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='63487001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:methodCode
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='63487001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:methodCode"
         id="tmp-4a0a7774-7a0e-413d-98eb-39f1e9b3baa4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-GeassConceptie-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-GeassConceptie-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set GeassConceptie DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-358cfd11-e08e-4723-bcec-98aa17c1b374">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-1ccb0986-d357-4c69-bf18-3ace98fa111a">
      <extends rule="tmp-db53bb37-e3ee-47f5-a68b-c4cf16c534fa"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: albprn-1el
-->
<rule id="tmp-db53bb37-e3ee-47f5-a68b-c4cf16c534fa" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:procedure)&gt;=1 and not(hl7:procedure/@nullFlavor)">albprn-1el: element hl7:procedure is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:procedure)&lt;=1">albprn-1el: element hl7:procedure komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure"
         id="tmp-cdbefe8b-ad82-4ce0-bb38-7abed604c9de">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='PROC' ">albprn-1el: De waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="string-length(@negationInd)&gt;0">albprn-1el: attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&gt;=1 ">albprn-1el: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&lt;=1">albprn-1el: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:targetOf[hl7:procedure[hl7:code[@code='177037000' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">albprn-1el: element hl7:targetOf[hl7:procedure[hl7:code[@code='177037000' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:id
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:id"
         id="tmp-ca25f0e7-d4f6-47d8-b843-471f398a6019">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor='NI'">albprn-1el: De waarde van @nullFlavor MOET 'NI' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:code"
         id="tmp-fbfe55f8-fe2a-4db9-9783-e45c62aa3de0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='176843009' and @codeSystem='2.16.840.1.113883.6.96')">albprn-1el: De waarde van @code/@codeSystem MOET '176843009' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[@code='177037000' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[@code='177037000' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-e12ce127-51f4-4f85-bfc7-9e7c5a7bedca">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[@code='177037000' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[@code='177037000' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-d024b860-9a48-4b2a-b82e-0a894501e89a">
      <extends rule="tmp-b6649147-803b-4142-9e27-adf3c1a3c1bb"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[@code='177037000' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: albprn-1el
-->
<rule id="tmp-b6649147-803b-4142-9e27-adf3c1a3c1bb" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:procedure)&lt;=1">albprn-1el: element hl7:procedure komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[@code='177037000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[@code='177037000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure"
         id="tmp-78297a6d-c1a0-4331-9864-3776dbbfcac2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='PROC' ">albprn-1el: De waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&gt;=1 ">albprn-1el: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&lt;=1">albprn-1el: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)">albprn-1el: element hl7:subject is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:subject)&lt;=1">albprn-1el: element hl7:subject komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[@code='177037000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:id
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[@code='177037000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:id"
         id="tmp-fccc02c8-2be2-4adc-bfcb-f7c839081b90">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor='NA'">albprn-1el: De waarde van @nullFlavor MOET 'NA' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[@code='177037000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[@code='177037000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:code"
         id="tmp-fcf6e10a-9f52-43be-ade6-f09dc12574b5">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='177037000' and @codeSystem='2.16.840.1.113883.6.96')">albprn-1el: De waarde van @code/@codeSystem MOET '177037000' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[@code='177037000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:subject
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[@code='177037000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:subject"
         id="tmp-0755b38c-4280-4ef9-b4cf-4e43ee856010">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='SBJ' ">albprn-1el: De waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)">albprn-1el: element hl7:patient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:patient)&lt;=1">albprn-1el: element hl7:patient komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[@code='177037000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:subject/hl7:patient
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[@code='177037000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:subject/hl7:patient"
         id="tmp-127dcf5a-5884-4382-ae72-17a67bdb6bf0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&gt;=1 ">albprn-1el: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&lt;=1">albprn-1el: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">albprn-1el: element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:statusCode)&lt;=1">albprn-1el: element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:Person)&gt;=1 and not(hl7:Person/@nullFlavor)">albprn-1el: element hl7:Person is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:Person)&lt;=1">albprn-1el: element hl7:Person komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[@code='177037000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:subject/hl7:patient/hl7:id
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[@code='177037000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:subject/hl7:patient/hl7:id"
         id="tmp-a0070360-3b38-4e36-af52-57a08194882a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor='NA'">albprn-1el: De waarde van @nullFlavor MOET 'NA' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[@code='177037000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:subject/hl7:patient/hl7:statusCode
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[@code='177037000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:subject/hl7:patient/hl7:statusCode"
         id="tmp-086b8f56-56a0-4e6b-aa12-b64124104d3b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='completed')">albprn-1el: De waarde van @code MOET 'completed' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[@code='177037000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:subject/hl7:patient/hl7:Person
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[@code='177037000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:subject/hl7:patient/hl7:Person"
         id="tmp-b8d10387-c1b0-4ed7-8553-ba39769fca51">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)">albprn-1el: element hl7:birthTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:birthTime)&lt;=1">albprn-1el: element hl7:birthTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[@code='177037000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:subject/hl7:patient/hl7:Person/hl7:birthTime
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN3206' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='176843009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:targetOf[hl7:procedure[hl7:code[@code='177037000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:subject/hl7:patient/hl7:Person/hl7:birthTime"
         id="tmp-6e90e927-9007-412e-ba95-cfd7f4392a8f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-a7abd919-21b5-4230-814f-9657a77a18b9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-6201c38f-7ee4-42ec-9998-2791a2d15b9a">
      <extends rule="tmp-63d1cb65-d8f1-4cb8-b038-b67a1d8e4801"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule id="tmp-63d1cb65-d8f1-4cb8-b038-b67a1d8e4801" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-07af0dd2-14aa-4200-a157-aa3cea814a13">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-1ff7dcb4-f190-408b-a1f9-ba477cf3b46a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')">albprn-1el: De waarde van @code/@codeSystem MOET 'Amnionic' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Amnionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-554820fe-1d44-40bb-8689-04e9665e2f32">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-Amnioniciteit-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-Amnioniciteit-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set Amnioniciteit DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-cb7349a3-71c9-4c79-aad4-c65888e39b03">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-8c2ae6ce-6292-4c3c-94f6-72653e12e64e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-ab78702e-b8bf-49c6-a26b-31072c916acd">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-9dcaae33-5d68-4239-8e86-89e0fef3877f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')">albprn-1el: De waarde van @code/@codeSystem MOET 'Chorionic' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-baf621d2-b7ba-49c5-84a4-dffc8170618f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-Chorioniciteit-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-Chorioniciteit-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set Chorioniciteit DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-45e036e0-82a4-474e-8094-b8f454eef078">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-b5dba568-d05c-436d-86ae-10f963780856">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: Pariteit
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: Pariteit
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-c086ed0a-1de0-4ef6-88a2-b6382331d273">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">Pariteit: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">Pariteit: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Pariteit: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">Pariteit: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">Pariteit: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">Pariteit: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: Pariteit
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-687dea75-9701-44aa-8f15-f6d19c7fe902">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Pariteit: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13')">Pariteit: De waarde van @code/@codeSystem MOET 'Parturit' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: Pariteit
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-ca2604e3-f9ab-4692-801c-1cee9b0fd902">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">Pariteit: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="(@nullFlavor or (number($theValue)&gt;=1 and number($theValue)&lt;=30))">Pariteit: value MOET in bereik [1..30] liggen  </assert>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="$digitok">Pariteit: @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-7cb5ef5d-71e2-4524-9f99-260c096e8b7e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-a748f21e-9720-4a8a-85f9-2b243f1858b4">
      <extends rule="tmp-b7958b05-9278-456b-b1c4-f09542219b4d"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->
<rule id="tmp-b7958b05-9278-456b-b1c4-f09542219b4d" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:observation)&gt;=1 ">albprn-1el: element hl7:observation is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:observation)&lt;=1">albprn-1el: element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-78debac9-c8b3-4d54-ad0a-b9ace66b4488">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-146767a5-cf94-46fc-8234-289092dc1234">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1')">albprn-1el: De waarde van @code/@codeSystem MOET '56077-1' codeSystem '2.16.840.1.113883.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='56077-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-0446caab-c44c-45b0-b06d-f5f6a40aa6f7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="(@nullFlavor or (@unit='kg' and number($theValue)&gt;=25 and number($theValue)&lt;=249.9))">albprn-1el: value MOET eenheid 'kg' gebruiken en in bereik [25..249.9] liggen  </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="$digitok">albprn-1el: @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">albprn-1el: value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-1c01fdb6-66f0-469c-bf27-712680c798d2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-4e68bc95-d644-45d4-9da3-bce55e4fe623">
      <extends rule="tmp-075fdcf8-b037-4bbb-bb27-99419e7d6d15"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->
<rule id="tmp-075fdcf8-b037-4bbb-bb27-99419e7d6d15" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:observation)&gt;=1 ">albprn-1el: element hl7:observation is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:observation)&lt;=1">albprn-1el: element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-52aaa6ee-bdaa-4176-ab38-8b6f1befcd76">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-a79444a6-922b-4d1c-853f-2ec3cf1bfc98">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1')">albprn-1el: De waarde van @code/@codeSystem MOET 'X_IVDIASTPREG' codeSystem '2.16.840.1.113883.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-63580846-4640-4591-9901-6f643fd77929">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='IVL_PQ' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_PQ" bevatten</assert>
      <extends rule="IVL_PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="not(hl7:low/@value) or matches(hl7:low/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">albprn-1el: value/low @value is not a valid PQ number <value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="not(hl7:high/@value) or matches(hl7:high/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">albprn-1el: value/high @value is not a valid PQ number <value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="not(hl7:center/@value) or matches(hl7:center/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">albprn-1el: value/center @value is not a valid PQ number <value-of select="hl7:center/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:high)&gt;=1 ">albprn-1el: element hl7:high is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:high)&lt;=1">albprn-1el: element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value/hl7:high
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='X_IVDIASTPREG' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value/hl7:high"
         id="tmp-53385561-212a-40e6-8a68-d89e8cd32c33">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="(@nullFlavor or (@unit='mm[Hg]' and number($theValue)&gt;=10))">albprn-1el: value MOET eenheid 'mm[Hg]' gebruiken en in bereik [10..] liggen  </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="$digitok">albprn-1el: @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">albprn-1el: value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-363e2225-d838-43a1-959b-20ddba03c607">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-3fadd19a-ee5c-4ea4-9c66-b4450b45e4a4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation"
         id="tmp-2a939ab2-bf90-4c25-a3ba-164d2079dc36">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1']]]|hl7:inboundRelationship[hl7:observation[hl7:code[@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1']]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="$elmcount&lt;=1">albprn-1el: keuze (hl7:inboundRelationship[hl7:observation[hl7:code[@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1']]] of hl7:inboundRelationship[hl7:observation[hl7:code[@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1']]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code"
         id="tmp-00a7be66-127b-465d-9ec7-c344ddfc9e09">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">albprn-1el: De waarde van @code/@codeSystem MOET 'PRN420204-bl' codeSystem '2.16.840.1.113883.2.4.3.22.1.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value"
         id="tmp-ebe46110-9228-4de3-8dc1-c3aa399208bb">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation"
         id="tmp-dcd57269-96bf-4487-91ab-d838373b4828">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">albprn-1el: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">albprn-1el: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-232dd09c-998f-45e3-92e6-f924dd73f1b7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='SPRT' ">albprn-1el: De waarde van @typeCode MOET 'SPRT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-1da8f9fd-0035-43d7-9795-d0fcd9285c44">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='SPRT' ">albprn-1el: De waarde van @typeCode MOET 'SPRT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-4b17b4fc-773c-4130-9630-98a4be5181b5">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-b9196464-7346-4dcf-996f-c1775496e1cb">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1')">albprn-1el: De waarde van @code/@codeSystem MOET '2889-4' codeSystem '2.16.840.1.113883.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-3eb748f1-e8fd-433b-b9e0-669cf5a822ed">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='IVL_PQ' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_PQ" bevatten</assert>
      <extends rule="IVL_PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="not(hl7:low/@value) or matches(hl7:low/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">albprn-1el: value/low @value is not a valid PQ number <value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="not(hl7:high/@value) or matches(hl7:high/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">albprn-1el: value/high @value is not a valid PQ number <value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="not(hl7:center/@value) or matches(hl7:center/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">albprn-1el: value/center @value is not a valid PQ number <value-of select="hl7:center/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:high)&gt;=1 ">albprn-1el: element hl7:high is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:high)&lt;=1">albprn-1el: element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value/hl7:high
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value/hl7:high"
         id="tmp-96331cb4-2a27-40f6-9a63-f0fc2e993d5c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="(@nullFlavor or (@unit='mg/24h'))">albprn-1el: value MOET eenheid 'mg/24h' gebruiken </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="$digitok">albprn-1el: @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">albprn-1el: value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-ab9aa7a1-9acd-45d4-8b3f-bcbbfc69228d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='SPRT' ">albprn-1el: De waarde van @typeCode MOET 'SPRT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-f647a437-d782-4912-95cf-cc63de99ecc4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='SPRT' ">albprn-1el: De waarde van @typeCode MOET 'SPRT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-9d2dddf9-6cb3-48df-a977-fc36e446ac5e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-0b4cbbfb-459d-4313-8fbc-3c19e6b75bbd">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1')">albprn-1el: De waarde van @code/@codeSystem MOET '20454-5' codeSystem '2.16.840.1.113883.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN420204-bl' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='20454-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-c08fbf25-95c6-48d4-8a96-240a10662808">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ProteineTestStripResult-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ProteineTestStripResult-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set ProteineTestStripResult DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]"
         id="tmp-931bdef8-5022-4c48-ae9b-ab7ec7b1c9b2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]"
         id="tmp-e39d40b9-3393-49f6-8f61-49cc402f4d75">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure"
         id="tmp-ecd45cf9-898f-4128-bb2d-d3e0d925152e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='PROC' ">albprn-1el: De waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='INT' ">albprn-1el: De waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&gt;=1 ">albprn-1el: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&lt;=1">albprn-1el: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:id
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:code"
         id="tmp-e7e41fe0-4483-430a-b2ab-9d9a4e01cbf4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')">albprn-1el: De waarde van @code/@codeSystem MOET 'PRN4209' codeSystem '2.16.840.1.113883.2.4.3.22.1.3' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:location
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:location"
         id="tmp-e72176e7-752f-46c6-8204-82b0925029be">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='ELOC' ">albprn-1el: De waarde van @typeCode MOET 'ELOC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:healthCareFacility)&gt;=1 and not(hl7:healthCareFacility/@nullFlavor)">albprn-1el: element hl7:healthCareFacility is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:healthCareFacility)&lt;=1">albprn-1el: element hl7:healthCareFacility komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:location/hl7:healthCareFacility
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:location/hl7:healthCareFacility"
         id="tmp-1c409123-5ab1-4664-8b26-1b55688fa8aa">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='DSDLOC' ">albprn-1el: De waarde van @classCode MOET 'DSDLOC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 ">albprn-1el: element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:location/hl7:healthCareFacility/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN4209' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:location/hl7:healthCareFacility/hl7:code"
         id="tmp-1c0d6a50-4192-4df6-aa22-188b9d6d84b3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ToekomstPlaatsBaring-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ToekomstPlaatsBaring-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set ToekomstPlaatsBaring DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-42f59b49-ecfd-4fcd-9b79-612d9b73125b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-14802349-2f95-4a3e-8147-a1ad96ca9b71">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-95e53bdb-f79b-447b-9938-00ec909114ce">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-142089ea-aebf-4ca6-b343-5320d152f3af">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13')">albprn-1el: De waarde van @code/@codeSystem MOET 'KraamZorg' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='KraamZorg' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-7a1df687-ecfc-488c-934f-8d58e504e01c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='IUVD1contr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='IUVD1contr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-fe9df577-b36f-4961-ba7d-541f46427f69">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='IUVD1contr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='IUVD1contr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-fa802af5-ae9f-467d-8651-0a92a531369a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='IUVD1contr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='IUVD1contr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='IUVD1contr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-159afc43-b00e-42f7-996f-7418fb621a65">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='IUVD1contr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='IUVD1contr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-6bcd3077-7ef1-47fc-9327-00247d999a72">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='IUVD1contr' and @codeSystem='2.16.840.1.113883.2.4.4.13')">albprn-1el: De waarde van @code/@codeSystem MOET 'IUVD1contr' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='IUVD1contr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='IUVD1contr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-3985f446-13de-4111-833d-440d0d484f01">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-25bcc05c-75a8-463b-b8d1-a22d62814eb0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-4fc1bbff-47ab-44c8-9e3f-a63e0305dcd4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-d5da6339-3de9-4b89-92f3-b75db65b0f37">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-e5809a3a-1c2d-437d-a2f0-2e42058af31e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13')">albprn-1el: De waarde van @code/@codeSystem MOET 'NBorn16' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NBorn16' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-30413aca-8173-4809-aece-f5a1f4a27221">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=9))">albprn-1el: value MOET in bereik [0..9] liggen  </assert>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="$digitok">albprn-1el: @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]"
         id="tmp-c436e3b7-b32e-4e04-adb9-b52ede99f60e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]"
         id="tmp-1b14a4d5-1891-45f0-87a4-96d75b4825b3">
      <extends rule="tmp-59c2cb4f-76bb-4644-8ca0-91608c4d30d4"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]
Item: albprn-1el
-->
<rule id="tmp-59c2cb4f-76bb-4644-8ca0-91608c4d30d4" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:procedure)&gt;=1 ">albprn-1el: element hl7:procedure is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:procedure)&lt;=1">albprn-1el: element hl7:procedure komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure"
         id="tmp-48481d4b-0d2e-46c9-8ab5-5f0fa471e790">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='PROC' ">albprn-1el: De waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='INT' ">albprn-1el: De waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&gt;=1 ">albprn-1el: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&lt;=1">albprn-1el: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:id
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:code"
         id="tmp-3a6089ca-b330-4858-afad-41a6a7d5523c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')">albprn-1el: De waarde van @code/@codeSystem MOET 'PRN5104' codeSystem '2.16.840.1.113883.2.4.3.22.1.3' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:location
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:location"
         id="tmp-5bf47ecb-0dee-4733-9e34-f5034b57bdc6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='ELOC' ">albprn-1el: De waarde van @typeCode MOET 'ELOC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:healthCareFacility)&gt;=1 and not(hl7:healthCareFacility/@nullFlavor)">albprn-1el: element hl7:healthCareFacility is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:healthCareFacility)&lt;=1">albprn-1el: element hl7:healthCareFacility komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:location/hl7:healthCareFacility
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:location/hl7:healthCareFacility"
         id="tmp-94155a66-4421-414e-be4a-9298d8e68b4f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='DSDLOC' ">albprn-1el: De waarde van @classCode MOET 'DSDLOC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 ">albprn-1el: element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:location/hl7:healthCareFacility/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN5104' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:location/hl7:healthCareFacility/hl7:code"
         id="tmp-121358a5-ca88-43a5-a561-c765d6917bbf">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ToekomstPlaatsBaring-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ToekomstPlaatsBaring-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set ToekomstPlaatsBaring DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-d0a96ecd-2ee7-4a84-a4dc-6be501979224">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-2ca2e1c7-6b74-4933-9299-35fabfb5afc1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-d0e81ada-5fd5-4c73-9aec-571795d6d1e7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 ">albprn-1el: element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:effectiveTime)&lt;=1">albprn-1el: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-bfab0800-042e-46ae-9d89-46b475144818">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')">albprn-1el: De waarde van @code/@codeSystem MOET 'TypeDeliv' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-57b4a2f2-a43f-4749-a8e6-b250bede2e29">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-0066b963-d9dc-4448-a9ba-c1cb2af6cc7f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-TypeBevalling-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-TypeBevalling-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set TypeBevalling DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-612e1edd-2598-4073-a1f3-491ba49182b2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-68b266cc-579d-4fc6-943e-56ffe3c370ed">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation"
         id="tmp-f8d94b61-103e-42a4-92f9-9aaf02f9b020">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code"
         id="tmp-6afb2ba8-b5f6-4dcc-adbf-30af1c30bf01">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">albprn-1el: De waarde van @code/@codeSystem MOET 'PRN5102' codeSystem '2.16.840.1.113883.2.4.3.22.1.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value"
         id="tmp-c253e103-7342-40a9-94bb-83eb464013cb">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-RisicoBaring-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-RisicoBaring-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set RisicoBaring DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-55f433e6-62a4-4b8b-8926-a1411ba86c9a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-15430eab-721f-4db0-a800-3a90eb14719f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-b4b7926a-cbe8-4b25-b1a1-bc2828f4705b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]])&gt;=1 ">albprn-1el: element hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]] is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-ee6494aa-a06d-4350-9257-7e5684def96f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')">albprn-1el: De waarde van @code/@codeSystem MOET 'BeginDeliv' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-3b752008-056d-41ab-b102-bf365dfa55cf">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-WijzeBaringBegin-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-WijzeBaringBegin-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set WijzeBaringBegin DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]"
         id="tmp-306d2094-f8cb-41db-9c4f-786e617f949e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]"
         id="tmp-aa7dd358-7a4b-4535-a6d7-9e7cfbe86bda">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure"
         id="tmp-1dd1f801-0c79-45e0-aa8d-cc300144790a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='PROC' ">albprn-1el: De waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&gt;=1 ">albprn-1el: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:methodCode)&gt;=1 ">albprn-1el: element hl7:methodCode is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:methodCode)&lt;=1">albprn-1el: element hl7:methodCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]])&gt;=1 ">albprn-1el: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]] is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:id
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:code"
         id="tmp-a240b7eb-fc83-4cd3-b35f-ffd8c0845fb6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')">albprn-1el: De waarde van @code/@codeSystem MOET 'PRN520102' codeSystem '2.16.840.1.113883.2.4.3.22.1.3' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:methodCode
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:methodCode"
         id="tmp-7d94d3f8-4504-43e2-9be8-52585303ffe1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-InterventieBaring-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-InterventieBaring-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set InterventieBaring DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-5f0eba29-d8dc-46ff-9413-60d82581e39a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='RSON' ">albprn-1el: De waarde van @typeCode MOET 'RSON' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-db8bea0a-c055-4d1e-ade7-2993976d0539">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='RSON' ">albprn-1el: De waarde van @typeCode MOET 'RSON' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation"
         id="tmp-9dce72d8-95cf-4136-a2cd-3e657ec4da20">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code"
         id="tmp-40d306ab-d113-4314-b57c-8d9200fbe8cc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">albprn-1el: De waarde van @code/@codeSystem MOET 'PRN520103' codeSystem '2.16.840.1.113883.2.4.3.22.1.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='BeginDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN520102' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN520103' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value"
         id="tmp-9bf5033e-32e0-435f-beb2-29ca840f4353">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-MotivatieInterventie-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-MotivatieInterventie-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set MotivatieInterventie DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]"
         id="tmp-4b2fa830-a47d-46e4-9975-3b7f75b408ee">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]"
         id="tmp-2b8a82b0-6ec1-405b-970d-f8be3bbde019">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure"
         id="tmp-1b398036-e6ed-4818-8cac-b24e4fffcc95">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='PROC' ">albprn-1el: De waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&gt;=1 ">albprn-1el: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:id
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:id"
         id="tmp-52b14b21-9603-46aa-a7eb-c01e32a01ca6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:code"
         id="tmp-a3ec1952-04f4-4b72-a8ac-4cd7678eb272">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')">albprn-1el: De waarde van @code/@codeSystem MOET 'PRN540101' codeSystem '2.16.840.1.113883.2.4.3.22.1.3' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:methodCode
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='PRN540101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:methodCode"
         id="tmp-f3e93b5f-c9ed-4179-a18d-dac1497dca68">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-AmniotomieMoment-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-AmniotomieMoment-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set AmniotomieMoment DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-a596cee9-0241-4de8-829b-fc424b671d3b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-719ffaec-0b57-48cb-8de7-b684454d16d8">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation"
         id="tmp-aad3b1d7-529b-49f9-a3e0-c13fe677ec40">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:effectiveTime)&gt;=1 ">albprn-1el: element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:effectiveTime)&lt;=1">albprn-1el: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code"
         id="tmp-2ae79e4c-d27b-4a97-8de5-5d7241ac82f0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">albprn-1el: De waarde van @code/@codeSystem MOET 'PRN520301' codeSystem '2.16.840.1.113883.2.4.3.22.1.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:effectiveTime
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-c405c52f-c4d9-4676-a880-0dec31c25c54">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-ae14a991-bfdd-4bde-8633-d098f4184a71">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-87a608fd-acef-43c0-ae7f-e98b411f46b3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation"
         id="tmp-dff3cdb0-ee65-4484-b3ff-47046ebf8eb2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:effectiveTime)&gt;=1 ">albprn-1el: element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:effectiveTime)&lt;=1">albprn-1el: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code"
         id="tmp-6ec0b0d5-9c4d-4df8-ac1e-9c1a79cab4fd">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">albprn-1el: De waarde van @code/@codeSystem MOET 'PRN530101' codeSystem '2.16.840.1.113883.2.4.3.22.1.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:effectiveTime
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-475d0de7-561d-49bf-9917-3d2041c683ce">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-43f48507-f8b9-482d-a222-eb9ba6125105">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-154c154f-e4f6-42a1-add6-19a8108ef19d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-566d71f3-c8d8-49d9-ae8a-699002312c1d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-cd1ce6df-f629-40f2-9790-afec65536eb9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1')">albprn-1el: De waarde van @code/@codeSystem MOET '38386-9' codeSystem '2.16.840.1.113883.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-ac73127a-5312-41e8-a13a-5bb61943f5c0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-KleurVruchtwater-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-KleurVruchtwater-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set KleurVruchtwater DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-d88aaac5-531f-4e48-8681-9384277cb7cc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-3e829cb2-6bb3-42bc-9ac1-879a3feb0eca">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-6af95312-dc2b-45d6-9f64-bfd7f6c9add3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              test="hl7:value/@value='true' and hl7:inboundRelationship/@typeCode='COMP'">albprn-1el: If Medicatie nageboortetijdperk = true, a substanceAdministration as a component SHALL
                    be present</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-b15928dc-b3bc-4f84-ad60-f2d116cb61b1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')">albprn-1el: De waarde van @code/@codeSystem MOET 'Medic3stage' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-5b46cba5-f9d7-477b-a8fd-efcd52972931">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]"
         id="tmp-66097a2d-c66c-421c-a877-78675a6bc108">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]"
         id="tmp-8754d30c-9017-42cd-85d9-cdcad55b47f6">
      <extends rule="tmp-97ef53c5-7a23-4ce3-ac77-5fe9f4021df7"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]
Item: albprn-1el
-->
<rule id="tmp-97ef53c5-7a23-4ce3-ac77-5fe9f4021df7" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:substanceAdministration)&gt;=1 ">albprn-1el: element hl7:substanceAdministration is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:substanceAdministration)&lt;=1">albprn-1el: element hl7:substanceAdministration komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]/hl7:substanceAdministration
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]/hl7:substanceAdministration"
         id="tmp-63b5fbc9-ee9f-4502-b739-aa6d623b1efd">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='SBADM' ">albprn-1el: De waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:consumable)&gt;=1 ">albprn-1el: element hl7:consumable is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:consumable)&lt;=1">albprn-1el: element hl7:consumable komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]/hl7:substanceAdministration/hl7:consumable
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]/hl7:substanceAdministration/hl7:consumable"
         id="tmp-4bb18751-4cd8-4d1d-9230-6c71404220f3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='CSM' ">albprn-1el: De waarde van @typeCode MOET 'CSM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:medication)&gt;=1 ">albprn-1el: element hl7:medication is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:medication)&lt;=1">albprn-1el: element hl7:medication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]/hl7:substanceAdministration/hl7:consumable/hl7:medication
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]/hl7:substanceAdministration/hl7:consumable/hl7:medication"
         id="tmp-6e377c87-0b2a-43dd-87e0-a514a9cae05b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='ADMM' ">albprn-1el: De waarde van @classCode MOET 'ADMM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:administerableMedicine)&gt;=1 ">albprn-1el: element hl7:administerableMedicine is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:administerableMedicine)&lt;=1">albprn-1el: element hl7:administerableMedicine komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]/hl7:substanceAdministration/hl7:consumable/hl7:medication/hl7:administerableMedicine
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]/hl7:substanceAdministration/hl7:consumable/hl7:medication/hl7:administerableMedicine"
         id="tmp-97c88505-8a99-47a1-9cc7-97457f4265cd">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='MMAT' ">albprn-1el: De waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@determinerCode='KIND' ">albprn-1el: @determinerCode SHALL have value 'KIND' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 ">albprn-1el: element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]/hl7:substanceAdministration/hl7:consumable/hl7:medication/hl7:administerableMedicine/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]/hl7:substanceAdministration/hl7:consumable/hl7:medication/hl7:administerableMedicine/hl7:code"
         id="tmp-5ca21b4e-0e6d-42a0-9ed1-d5299cda3ba9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-SoortMedNageboorte-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-SoortMedNageboorte-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set SoortMedNageboorte DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-2ca386c1-ad37-4d43-b4cb-e86d7441ba61">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-216ee27f-b154-4228-8995-317681d41528">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-98e2a868-7a13-4835-99db-4a30a1ed343a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-58b6b2ce-3d21-4187-a704-a2661d4e780b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13')">albprn-1el: De waarde van @code/@codeSystem MOET 'AfterBirthMethod' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-7e1634e1-61f1-4709-a34d-d3e15f147ae6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-GeboortePlacenta-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-GeboortePlacenta-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set GeboortePlacenta DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-7f80f3cf-24f9-4890-87f5-01fec4658e2f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-0b2b9e41-c562-46a5-8a28-3439157f699e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation"
         id="tmp-a5b55f45-d72c-4ba0-ba4c-36476e267b38">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code"
         id="tmp-f4bffbbc-1370-4059-807f-3516407db8fb">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">albprn-1el: De waarde van @code/@codeSystem MOET 'PRN5703' codeSystem '2.16.840.1.113883.2.4.3.22.1.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value"
         id="tmp-45c59b17-73fe-4ca4-bdee-3cf999f0484f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="(@nullFlavor or (@unit='ml'))">albprn-1el: value MOET eenheid 'ml' gebruiken </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="$digitok">albprn-1el: @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">albprn-1el: value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-c935e4d4-bb0a-4fbf-b89f-b1b3e12cdc1b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-1ca3b2e9-5c4d-455c-aa78-a3460dd796a5">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='true' ">albprn-1el: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation"
         id="tmp-77747c3e-4b95-4681-868a-823ca83a0bd3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code"
         id="tmp-38019bdc-cb66-49e0-9024-56dc76b5b678">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">albprn-1el: De waarde van @code/@codeSystem MOET 'PRN550403' codeSystem '2.16.840.1.113883.2.4.3.22.1.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN550403' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value"
         id="tmp-5fe66c0a-d7a2-474e-95da-bd0bc6d9e434">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-PartusassKraamzorg-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-PartusassKraamzorg-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set PartusassKraamzorg DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]
Item: albprn-1el
-->

<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]"
         id="tmp-786b10cd-e902-4353-bcb2-a5a4b6411a59">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='false' ">albprn-1el: @contextConductionInd SHALL have value 'false' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]"
         id="tmp-e2995612-7ec6-43c4-9774-166d791075db">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PERT' ">albprn-1el: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@contextConductionInd='false' ">albprn-1el: @contextConductionInd SHALL have value 'false' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure"
         id="tmp-cbbb1d11-eefe-44d5-a4bf-acceca611448">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='PROC' ">albprn-1el: De waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              test="hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:deceasedInd/@value='false' or                     hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201'][@codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]">albprn-1el:  If deceasedInd=true, Fase perinatale sterfte is mandatory</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&gt;=1 ">albprn-1el: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&lt;=1">albprn-1el: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:location)&gt;=1 and not(hl7:location/@nullFlavor)">albprn-1el: element hl7:location is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:location)&lt;=1">albprn-1el: element hl7:location komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]])&gt;=1 and not(hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]/@nullFlavor)">albprn-1el: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">albprn-1el: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&gt;=1 and not(hl7:inboundRelationship[hl7:observation[hl7:code[@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/@nullFlavor)">albprn-1el: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">albprn-1el: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">albprn-1el: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]])&lt;=1">albprn-1el: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]])&lt;=1">albprn-1el: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]])&lt;=1">albprn-1el: element hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&gt;=1 and not(hl7:inboundRelationship[hl7:observation[hl7:code[@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/@nullFlavor)">albprn-1el: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">albprn-1el: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">albprn-1el: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">albprn-1el: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">albprn-1el: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&gt;=1 and not(hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/@nullFlavor)">albprn-1el: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">albprn-1el: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&gt;=1 and not(hl7:inboundRelationship[hl7:observation[hl7:code[@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/@nullFlavor)">albprn-1el: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">albprn-1el: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]])&lt;=1">albprn-1el: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">albprn-1el: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]])&lt;=1">albprn-1el: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">albprn-1el: element hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:id
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:id"
         id="tmp-5f43d3fa-0efb-4a23-9d09-e15e34cb9bd8">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:code"
         id="tmp-132ae3e0-e01f-4dbb-93a7-baf2075e1b44">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')">albprn-1el: De waarde van @code/@codeSystem MOET 'Baring' codeSystem '2.16.840.1.113883.2.4.3.22.1.3' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject"
         id="tmp-830b6762-e766-4dc9-b0e6-1f65f14d80e7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='SBJ' ">albprn-1el: De waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:personalRelationship)&gt;=1 and not(hl7:personalRelationship/@nullFlavor)">albprn-1el: element hl7:personalRelationship is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:personalRelationship)&lt;=1">albprn-1el: element hl7:personalRelationship komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship"
         id="tmp-3a1f9466-877a-42b0-969a-213fd5a7aec4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='PRS' ">albprn-1el: De waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:relationshipHolder)&gt;=1 and not(hl7:relationshipHolder/@nullFlavor)">albprn-1el: element hl7:relationshipHolder is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:relationshipHolder)&lt;=1">albprn-1el: element hl7:relationshipHolder komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:code"
         id="tmp-6f07d067-2038-4956-a78e-23151e1a00b8">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')">albprn-1el: De waarde van @code/@codeSystem MOET 'CHILD' codeSystem '2.16.840.1.113883.5.111' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder"
         id="tmp-7ca7c870-a8ac-4b36-ae4b-b3381afbae67">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='PSN' ">albprn-1el: De waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@determinerCode='INSTANCE' ">albprn-1el: @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error" test="count(hl7:id)&gt;0">albprn-1el: Identification child requires at least a local id and optional in addition a BSN / PRN-Id</assert>
      <assert role="error" test="hl7:deceasedInd/@value='false' or hl7:deceasedTime">albprn-1el: Datum perinatale sterfte: if deceasedInd=true an element deceasedTime shall be present</assert>
      <assert role="error"
              test="hl7:multipleBirthInd/@value='false' or string-length(hl7:multipleBirthOrderNumber/@value)&gt;0">albprn-1el: Rangnummer (HL7): if multipleBirthInd=true an element
                            multipleBirthOrderNumber shall be present and valued</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">albprn-1el: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:name)&lt;=2">albprn-1el: element hl7:name komt te vaak voor [max 2x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:administrativeGenderCode)&gt;=1 and not(hl7:administrativeGenderCode/@nullFlavor)">albprn-1el: element hl7:administrativeGenderCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:administrativeGenderCode)&lt;=1">albprn-1el: element hl7:administrativeGenderCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)">albprn-1el: element hl7:birthTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:birthTime)&lt;=1">albprn-1el: element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:multipleBirthInd)&gt;=1 and not(hl7:multipleBirthInd/@nullFlavor)">albprn-1el: element hl7:multipleBirthInd is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:multipleBirthInd)&lt;=1">albprn-1el: element hl7:multipleBirthInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:multipleBirthOrderNumber)&lt;=1">albprn-1el: element hl7:multipleBirthOrderNumber komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:addr)&lt;=1">albprn-1el: element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:id
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:id"
         id="tmp-85198eda-4d57-4290-9068-75a6747f3fcc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:name
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:name"
         id="tmp-b073960b-d4f1-43cb-9176-25acf6a0198f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:administrativeGenderCode
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:administrativeGenderCode"
         id="tmp-35a634d8-98b6-4274-b682-0088141127c6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set AdministrativeGender DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:birthTime
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:birthTime"
         id="tmp-eebafed7-dba1-4cc6-b238-d9e3c22f4f5d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:deceasedInd
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:deceasedInd"
         id="tmp-86c1b9e6-cf6c-4730-9050-4d31f7be4ac0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:deceasedTime
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:deceasedTime"
         id="tmp-bf6b369c-1188-4402-96c8-dc414db7bb71">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:multipleBirthInd
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:multipleBirthInd"
         id="tmp-d97d6643-75c5-490a-b9a8-5c0296292b27">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:multipleBirthOrderNumber
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:multipleBirthOrderNumber"
         id="tmp-b1ec52b5-c55a-4c8a-a0b1-facf11e4286c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT.NONNEG"/>
      <let name="theValue" value="@value"/>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="$digitok">albprn-1el: @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:addr
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:addr"
         id="tmp-9522811a-1a60-4019-9f0e-790b8f151a53">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:postalCode)&gt;=1 and not(hl7:postalCode/@nullFlavor)">albprn-1el: element hl7:postalCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:postalCode)&lt;=1">albprn-1el: element hl7:postalCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:addr/hl7:postalCode
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:asOtherIDs
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:asOtherIDs"
         id="tmp-3c7e4eb1-6649-484f-adbb-b54d2b96bc89">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='IDENT' ">albprn-1el: De waarde van @classCode MOET 'IDENT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">albprn-1el: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&lt;=1">albprn-1el: element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:asOtherIDs/hl7:id
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:asOtherIDs/hl7:id"
         id="tmp-924bfcd6-bd45-46a1-abf9-e6fe64d8cc99">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:performer
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:performer"
         id="tmp-33bba1b4-d55a-460b-806c-a6fd28794425">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PRF' ">albprn-1el: De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:responsibleParty)&gt;=1 and not(hl7:responsibleParty/@nullFlavor)">albprn-1el: element hl7:responsibleParty is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:responsibleParty)&lt;=1">albprn-1el: element hl7:responsibleParty komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:performer/hl7:responsibleParty
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:performer/hl7:responsibleParty"
         id="tmp-743b8c43-8d4b-47af-b909-3a485138a036">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='ASSIGNED' ">albprn-1el: De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:agentPerson)&gt;=1 ">albprn-1el: element hl7:agentPerson is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:agentPerson)&lt;=1">albprn-1el: element hl7:agentPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:performer/hl7:responsibleParty
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:performer/hl7:responsibleParty/hl7:id
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:performer/hl7:responsibleParty/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:performer/hl7:responsibleParty/hl7:code"
         id="tmp-d4b25de2-4682-4d01-8c89-daaecf78920a">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-RolZorgverlener-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-RolZorgverlener-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set RolZorgverlener DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:performer/hl7:responsibleParty/hl7:agentPerson
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:responsibleParty
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:responsibleParty"
         id="tmp-e23d95f7-1e16-4dde-ae1a-8a51c42733f5">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='RESP' ">albprn-1el: De waarde van @typeCode MOET 'RESP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">albprn-1el: element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:assignedEntity)&lt;=1">albprn-1el: element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:responsibleParty/hl7:assignedEntity
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:responsibleParty/hl7:assignedEntity"
         id="tmp-879f9769-370e-40cb-ba65-c3dbdcdd0899">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='ASSIGNED' ">albprn-1el: De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:responsibleParty/hl7:assignedEntity
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:responsibleParty/hl7:assignedEntity/hl7:id
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:responsibleParty/hl7:assignedEntity/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:responsibleParty/hl7:assignedEntity/hl7:code"
         id="tmp-9a4ad929-e515-4401-9072-ea4f092f718a">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-Eindverantwoordelijke-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-Eindverantwoordelijke-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set Eindverantwoordelijke DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:location
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:location"
         id="tmp-8cf83b38-0f4d-49c2-87c6-8250b121f003">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='ELOC' ">albprn-1el: De waarde van @typeCode MOET 'ELOC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:healthCareFacility)&gt;=1 ">albprn-1el: element hl7:healthCareFacility is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:healthCareFacility)&lt;=1">albprn-1el: element hl7:healthCareFacility komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:location/hl7:healthCareFacility
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:location/hl7:healthCareFacility"
         id="tmp-e663f00f-87c2-4094-b400-4388952b7cfe">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='DSDLOC' ">albprn-1el: De waarde van @classCode MOET 'DSDLOC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 ">albprn-1el: element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:location/hl7:healthCareFacility/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:location/hl7:healthCareFacility/hl7:code"
         id="tmp-0fd7eff2-d7e5-440f-95df-34fd6f566f31">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-WerkelijkePlaatsBaring-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-WerkelijkePlaatsBaring-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set WerkelijkePlaatsBaring DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-d39e7c0f-66b8-426d-8341-208acc57f169">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-fcc6a9c9-7c43-4e9d-8391-f95183b20fa7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-1b2c894a-9896-4c27-bdda-4f664ec947ba">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-93a7ceb5-58d3-423d-bd11-454a3c4f0524">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1')">albprn-1el: De waarde van @code/@codeSystem MOET '46098-0' codeSystem '2.16.840.1.113883.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-53f8339f-0011-4d57-8a3a-9a4382865791">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-GenderMedisch-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-GenderMedisch-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set GenderMedisch DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-dc6f6981-1d19-4554-b3ef-e5d5a8d4bca4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-7800e944-2107-4fa9-a9b9-2c8b92247b34">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-48b261f7-1b4c-4c8d-88d5-3e3ebbe36941">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-994f9e5d-5c96-46a7-999c-b8d3777e43cd">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13')">albprn-1el: De waarde van @code/@codeSystem MOET 'BirthOrderNumber' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='BirthOrderNumber' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-d9701d15-0ad2-474b-b8f1-7caf2de04d02">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="(@nullFlavor or (number($theValue)&gt;=1 and number($theValue)&lt;=9))">albprn-1el: value MOET in bereik [1..9] liggen  </assert>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="$digitok">albprn-1el: @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-45e0e5d5-f17c-4159-b553-4f291d8f1e51">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-71144e31-be6c-40c0-9b18-a8d0b3f04bb9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-1c8497a1-46e2-4557-8345-abd634781a64">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-2bda6999-4e8c-4f6a-ad81-5795506a1c32">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1')">albprn-1el: De waarde van @code/@codeSystem MOET '11951-1' codeSystem '2.16.840.1.113883.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-6cb061c0-80ad-4ff6-8e08-5fb465325cc9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-FoetusVolgletter-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-FoetusVolgletter-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set FoetusVolgletter DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-89a5b6b2-8d25-4911-ad86-aa211c7358b3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-375b1677-36ec-4d88-879d-e6a66871475d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation"
         id="tmp-f8cefebc-c3fb-41d2-807d-b5838068a0c9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code"
         id="tmp-4049d26c-3446-402d-98f4-8e6c78b78d2c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">albprn-1el: De waarde van @code/@codeSystem MOET 'PRN530401' codeSystem '2.16.840.1.113883.2.4.3.22.1.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value"
         id="tmp-2152d5c4-ff08-4f38-9282-85d47bc11436">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-b25ceeb9-4823-4497-b300-628454f8e6f3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-d41aee27-ee4d-424f-a217-ee2f4524f535">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation"
         id="tmp-c5f74b21-f892-447b-975c-42ba7fa8228e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code"
         id="tmp-f008c913-ba53-4a4d-8779-c77f7d16f1f9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">albprn-1el: De waarde van @code/@codeSystem MOET 'PRN5704' codeSystem '2.16.840.1.113883.2.4.3.22.1.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value"
         id="tmp-c97f42d2-1329-4cd8-8ed6-ad365bf8fc44">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ConditiePerineum-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ConditiePerineum-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set ConditiePerineum DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]"
         id="tmp-a780dd77-a7c2-45bb-9ad9-2baa24297a59">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]"
         id="tmp-a3605ea4-4e16-4614-99ae-f4772270199c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure"
         id="tmp-72406211-09f8-41d1-88b8-e84d9d14bea2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='PROC' ">albprn-1el: De waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&gt;=1 ">albprn-1el: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:id
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:id"
         id="tmp-92ef748a-d797-4edb-8a21-a26af372d88c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:code"
         id="tmp-32bb0caa-936e-495a-a445-bfcf80ed06b9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')">albprn-1el: De waarde van @code/@codeSystem MOET 'PRN540701' codeSystem '2.16.840.1.113883.2.4.3.22.1.3' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:targetSiteCode
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='PRN540701' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:targetSiteCode"
         id="tmp-1ef018b0-b708-4d25-8a0c-c4d091703a8a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-EpisiotomieType-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-EpisiotomieType-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set EpisiotomieType DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-9849f1ef-f303-4f63-9782-90897a76fad6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-e4bebb03-d9e1-4c55-b493-ac7d98f66dbd">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-2608e885-c7ce-4e23-9530-5ea326fb9c63">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:effectiveTime)&lt;=1">albprn-1el: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-32209c16-ea4a-4ce8-a27e-be705b216156">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13')">albprn-1el: De waarde van @code/@codeSystem MOET 'Outcome' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-3278702a-41ab-4f67-be77-d75e4ffaa1b9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='Outcome' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-a7c90fae-b70f-426e-9f4c-50a686f68709">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-TypeUitkomst-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-TypeUitkomst-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set TypeUitkomst DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-e5b26990-e96f-499d-bb46-5751c43a2230">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-83fd05d2-2414-4e64-8e60-d2e7c065a468">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-1c079423-8962-46ab-a348-b92fa0174713">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-4b468d07-b3ea-43a0-9cf6-2f94b5bd2cfe">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1')">albprn-1el: De waarde van @code/@codeSystem MOET '8339-4' codeSystem '2.16.840.1.113883.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-32682b19-e24e-43e5-80fa-d474d19c751c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="(@nullFlavor or (@unit='g' and number($theValue)&gt;=0 and (matches($theValue, '^[-+]?[0-9]*$'))))">albprn-1el: value MOET eenheid 'g' gebruiken en in bereik [0..] liggen  en tot op minst 0 decimalen nauwkeurig zijn </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="$digitok">albprn-1el: @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">albprn-1el: value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-419af040-c552-4f07-a554-a3eb27a3e66a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-d3288ea4-552f-4acb-869d-963383107c46">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-400a016a-17c1-496a-9d5f-44f9fc0320b1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-0fb3addd-12a3-4d51-9e38-583b862c472f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1')">albprn-1el: De waarde van @code/@codeSystem MOET '9272-6' codeSystem '2.16.840.1.113883.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-58f1ccdf-5bb6-4e3a-bac1-5b47e8d2d023">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=10))">albprn-1el: value MOET in bereik [0..10] liggen  </assert>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="$digitok">albprn-1el: @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-95dc079b-6770-4b41-9a16-efdf1ea4e418">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-792b3e41-c986-4a77-b77f-5665a58a0f5b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-f44f4822-99c5-4b96-86b2-4f009f861ab1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-c94aa4a4-f99b-4e9b-b26e-b9f1d47506fb">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1')">albprn-1el: De waarde van @code/@codeSystem MOET '9274-2' codeSystem '2.16.840.1.113883.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-39e5e5c8-32d2-4ac7-b6f6-df73ada1bfd2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=10))">albprn-1el: value MOET in bereik [0..10] liggen  </assert>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="$digitok">albprn-1el: @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-f8dc667c-5d7f-4f92-9a91-97668056a90a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-8d1f5a74-53b1-437f-b9fc-81886990dab2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-033a70bc-104d-46cf-81c4-baf1ed19d73d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:uncertaintyCode)&lt;=1">albprn-1el: element hl7:uncertaintyCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-cf2dd813-d01e-496f-b35e-7166758a624b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')">albprn-1el: De waarde van @code/@codeSystem MOET 'CongMalf' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:uncertaintyCode
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:uncertaintyCode"
         id="tmp-5f78a48e-4903-4b1a-9f24-5fda7f8dd437">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-UncertaintyCode-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-UncertaintyCode-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set UncertaintyCode DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-b9d9079d-861b-427a-ac9b-88f9f94c47eb">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-CongenitaleAfwijkingen-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-CongenitaleAfwijkingen-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set CongenitaleAfwijkingen DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-05e3a191-e456-4f69-aa2b-74945214d16f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-33b1bae8-903b-4e19-9282-532c9871172f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-5373a7ee-4dc9-4548-8672-1ba7aeeca21b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:uncertaintyCode)&lt;=1">albprn-1el: element hl7:uncertaintyCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-2047e80e-162e-42e5-aaa0-32269db2bd6c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')">albprn-1el: De waarde van @code/@codeSystem MOET 'ChromMalf' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:uncertaintyCode
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:uncertaintyCode"
         id="tmp-80fda86e-0722-4c61-bcd8-9d802d04ccda">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-UncertaintyCode-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-UncertaintyCode-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set UncertaintyCode DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ChromMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-9d58cd0f-149d-43cb-a7a3-2ccd4f3109ea">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ChromosomaleAfwijkingen-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ChromosomaleAfwijkingen-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set ChromosomaleAfwijkingen DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-194fcb90-e3b3-484a-ace7-a30c8729de60">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-b058615e-dd62-4b3b-8518-ea973dded92e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation"
         id="tmp-5676e2f4-ecef-4b81-ac36-23421e3f64ac">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code"
         id="tmp-13c76730-4717-4e2f-ada4-fd30128e8058">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">albprn-1el: De waarde van @code/@codeSystem MOET 'LigGbrt' codeSystem '2.16.840.1.113883.2.4.3.22.1.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='LigGbrt' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value"
         id="tmp-64d315f4-8987-42b5-acdb-4ea711f7d0ef">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-LiggingBijGeboorte-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-LiggingBijGeboorte-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set LiggingBijGeboorte DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-e3029284-2a3c-4547-b3d4-54b11171f048">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-ba3ccc52-08f4-4ccb-9f66-06f0973e538c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-c0bf826f-3e61-4241-9aee-e8cdbabeb460">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 ">albprn-1el: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:performer)&lt;=1">albprn-1el: element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-bb9dad7b-f9bb-47a7-bd15-18512253bfbe">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13')">albprn-1el: De waarde van @code/@codeSystem MOET 'ZorgverlBetr' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-e05559f7-45b3-4461-bd4a-026e55f084b0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-AndereZorgverlenerBetrokken-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-AndereZorgverlenerBetrokken-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set AndereZorgverlenerBetrokken DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:performer
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:performer"
         id="tmp-be0e747f-8932-49ee-9afa-a397fc72f43b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='SPRF' ">albprn-1el: De waarde van @typeCode MOET 'SPRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">albprn-1el: element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:assignedEntity)&lt;=1">albprn-1el: element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:performer
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:performer/hl7:time
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:performer/hl7:time"
         id="tmp-0a198d6d-e85d-4ea0-96b8-91239fab6c79">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:low)&gt;=1 ">albprn-1el: element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:low)&lt;=1">albprn-1el: element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:high)&lt;=1">albprn-1el: element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:performer/hl7:time/hl7:low
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:performer/hl7:time/hl7:low"
         id="tmp-ee65c429-8b46-4d37-9618-a6ffb2f3a799">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:performer/hl7:time/hl7:high
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:performer/hl7:time/hl7:high"
         id="tmp-4b5ccf89-f78c-4994-91f9-d90bf6912d01">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:performer/hl7:assignedEntity
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:performer/hl7:assignedEntity"
         id="tmp-69d7e5cc-02e9-4b46-baad-ad0d43368916">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='ASSIGNED' ">albprn-1el: De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:performer/hl7:assignedEntity
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:performer/hl7:assignedEntity/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ZorgverlBetr' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-7fc3833d-0870-4cac-b80c-e710e55f0179">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='01.019' and @codeSystem='2.16.840.1.113883.2.4.15.111')">albprn-1el: De waarde van @code/@codeSystem MOET '01.019' codeSystem '2.16.840.1.113883.2.4.15.111' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-47546230-b96c-4a46-a887-fc5207e8fa6d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-a425094d-4dd7-4c2a-9660-95231ef496de">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation"
         id="tmp-638e1544-f8a8-482e-a681-2f22f39ccdde">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='OBS' ">albprn-1el: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">albprn-1el: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:value)&lt;=1">albprn-1el: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code"
         id="tmp-a174f192-89d4-4bd5-a3f3-024b35998183">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">albprn-1el: De waarde van @code/@codeSystem MOET 'PRN810201' codeSystem '2.16.840.1.113883.2.4.3.22.1.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value"
         id="tmp-9979e9e4-dd3c-4ffc-9dc8-4853aa9cf759">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-FasePerinatSterfte-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-FasePerinatSterfte-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set FasePerinatSterfte DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-c590eb07-27a8-4f9d-892a-5c957e5e61ab">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-a805ebcc-c52f-47a3-8c25-9f02e72774be">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure"
         id="tmp-2459253b-a3b1-4247-b7a2-1346b38c1531">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='SPECCOLLECT' ">albprn-1el: De waarde van @classCode MOET 'SPECCOLLECT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&lt;=1">albprn-1el: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:approachSiteCode)&gt;=1 and not(hl7:approachSiteCode/@nullFlavor)">albprn-1el: element hl7:approachSiteCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:approachSiteCode)&lt;=1">albprn-1el: element hl7:approachSiteCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship[hl7:act[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]])&gt;=1 and not(hl7:inboundRelationship[hl7:act[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/@nullFlavor)">albprn-1el: element hl7:inboundRelationship[hl7:act[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:inboundRelationship[hl7:act[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">albprn-1el: element hl7:inboundRelationship[hl7:act[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:id
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:code"
         id="tmp-bfa0be22-7fd2-4913-950f-d960ecefe057">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='82078001' and @codeSystem='2.16.840.1.113883.6.96')">albprn-1el: De waarde van @code/@codeSystem MOET '82078001' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:effectiveTime
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:effectiveTime"
         id="tmp-76f6718e-44dd-4def-b981-e414700c7f9a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:approachSiteCode
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:approachSiteCode"
         id="tmp-2d4cb6fa-d137-4e02-9d57-67a343df191c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='408728001' and @codeSystem='2.16.840.1.113883.6.96')">albprn-1el: De waarde van @code/@codeSystem MOET '408728001' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:performer
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:performer"
         id="tmp-917c9f93-4758-40b1-81ca-ed6ea5cc0a67">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PRF' ">albprn-1el: De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">albprn-1el: element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:assignedEntity)&lt;=1">albprn-1el: element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:performer/hl7:assignedEntity
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:performer/hl7:assignedEntity"
         id="tmp-5c9f628a-b0f9-40ab-8509-7deff6c2597c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='ASSIGNED' ">albprn-1el: De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&gt;=1 ">albprn-1el: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 ">albprn-1el: element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:assignedPerson)&gt;=1 ">albprn-1el: element hl7:assignedPerson is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:assignedPerson)&lt;=1">albprn-1el: element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:representedOrganization)&gt;=1 ">albprn-1el: element hl7:representedOrganization is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:representedOrganization)&lt;=1">albprn-1el: element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:id
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-395980c7-aa87-4756-814a-b810029b2fa7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-154f8df7-dab1-4f5f-90dc-31d6bbbd4408">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ZorgverlenerType-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ZorgverlenerType-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set ZorgverlenerType DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:assignedPerson
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-287b07f0-77d1-450b-81c5-aaf171798d82">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='PSN' ">albprn-1el: De waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@determinerCode='INSTANCE' ">albprn-1el: @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:name)&gt;=1 ">albprn-1el: element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:name)&lt;=1">albprn-1el: element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-296b76c5-07d4-40fb-a658-d3b718c56c4a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:representedOrganization
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-bcd8ee8e-c5ff-4a13-83dd-37ae00867af2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='ORG' ">albprn-1el: De waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@determinerCode='INSTANCE' ">albprn-1el: @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&gt;=1 ">albprn-1el: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:name)&gt;=1 ">albprn-1el: element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:name)&lt;=1">albprn-1el: element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:addr)&gt;=1 ">albprn-1el: element hl7:addr is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:addr)&lt;=1">albprn-1el: element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id"
         id="tmp-0a8f37ae-b235-492f-9d97-d9cb76e03b5d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:code"
         id="tmp-b91f3b5c-1886-4f68-a97b-b51d767882b1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ZorgaanbiederType-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ZorgaanbiederType-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set ZorgaanbiederType DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:name"
         id="tmp-68ae5954-266b-41c3-9e76-0c1759700702">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr"
         id="tmp-ef74db43-ea88-4384-ac88-5b20a52d00be">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:houseNumber)&gt;=1 ">albprn-1el: element hl7:houseNumber is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:houseNumber)&lt;=1">albprn-1el: element hl7:houseNumber komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:postalCode)&gt;=1 ">albprn-1el: element hl7:postalCode is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:postalCode)&lt;=1">albprn-1el: element hl7:postalCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr/hl7:houseNumber
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr/hl7:postalCode
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-9fb4fffa-50ec-430d-8f8f-27b3f7f536d7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='ELNK' ">albprn-1el: De waarde van @typeCode MOET 'ELNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-0af702da-8e70-4966-a433-a3bf40530e4c">
      <extends rule="tmp-5efd40de-5c79-4846-a606-fdcb42378e8d"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='ELNK' ">albprn-1el: De waarde van @typeCode MOET 'ELNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: albprn-1el
-->
<rule id="tmp-5efd40de-5c79-4846-a606-fdcb42378e8d" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">albprn-1el: element hl7:act is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:act)&lt;=1">albprn-1el: element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act"
         id="tmp-6a30ecff-bfc1-4090-89f5-f46d3df02637">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='ACT' ">albprn-1el: De waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='RQO' ">albprn-1el: De waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:statusCode)&lt;=1">albprn-1el: element hl7:statusCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:code"
         id="tmp-190b9bf0-9391-4feb-858d-b0c479aac1b3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')">albprn-1el: De waarde van @code/@codeSystem MOET 'X-LAB-ORDER' codeSystem '2.16.840.1.113883.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:statusCode
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:statusCode"
         id="tmp-d341baba-01f2-4cb5-afca-b860f6dada6c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='active')">albprn-1el: De waarde van @code MOET 'active' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:performer
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:performer"
         id="tmp-3d447182-d531-4195-b400-6b3602042b22">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PRF' ">albprn-1el: De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">albprn-1el: element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:assignedEntity)&lt;=1">albprn-1el: element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:performer/hl7:assignedEntity
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:performer/hl7:assignedEntity"
         id="tmp-5a6878a0-58ab-4620-a77f-853ad1e8cbda">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='ASSIGNED' ">albprn-1el: De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:representedOrganization)&gt;=1 and not(hl7:representedOrganization/@nullFlavor)">albprn-1el: element hl7:representedOrganization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:representedOrganization)&lt;=1">albprn-1el: element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:performer/hl7:assignedEntity/hl7:representedOrganization
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:performer/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-e4b53289-35a3-4f70-a89b-58fa0f129810">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='ORG' ">albprn-1el: De waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@determinerCode='INSTANCE' ">albprn-1el: @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&gt;=1 ">albprn-1el: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&lt;=1">albprn-1el: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:name)&gt;=1 ">albprn-1el: element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:name)&lt;=1">albprn-1el: element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:addr)&gt;=1 ">albprn-1el: element hl7:addr is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:addr)&lt;=1">albprn-1el: element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:code"
         id="tmp-b0227666-6ef0-41d7-ab1d-8ad38b2ed58e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='L1' and @codeSystem='2.16.840.1.113883.2.4.15.1060')">albprn-1el: De waarde van @code/@codeSystem MOET 'L1' codeSystem '2.16.840.1.113883.2.4.15.1060' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr"
         id="tmp-98b29a95-0830-4358-b76e-da7125948533">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:houseNumber)&gt;=1 ">albprn-1el: element hl7:houseNumber is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:houseNumber)&lt;=1">albprn-1el: element hl7:houseNumber komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:postalCode)&gt;=1 ">albprn-1el: element hl7:postalCode is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:postalCode)&lt;=1">albprn-1el: element hl7:postalCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr/hl7:houseNumber
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:procedure[hl7:code[@code='82078001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:procedure/hl7:inboundRelationship[hl7:act[hl7:code[@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr/hl7:postalCode
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[@code='230126006' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[@code='230126006' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-6d757c1e-e5bc-464d-8524-04ffcb0aad12">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[@code='230126006' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[@code='230126006' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-1f426d9c-fb98-41df-bb14-b768eb1afa05">
      <extends rule="tmp-42296c5f-c8bb-4e6e-a4c5-90e95769dbb3"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='COMP' ">albprn-1el: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[@code='230126006' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: albprn-1el
-->
<rule id="tmp-42296c5f-c8bb-4e6e-a4c5-90e95769dbb3" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:supply)&gt;=1 ">albprn-1el: element hl7:supply is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:supply)&lt;=1">albprn-1el: element hl7:supply komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[@code='230126006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:supply
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[@code='230126006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:supply"
         id="tmp-ea7c8cc8-5c72-42ef-9e86-a460620ae548">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='DIET' ">albprn-1el: De waarde van @classCode MOET 'DIET' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@moodCode='EVN' ">albprn-1el: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:id)&lt;=1">albprn-1el: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:product)&gt;=1 ">albprn-1el: element hl7:product is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:product)&lt;=1">albprn-1el: element hl7:product komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[@code='230126006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:supply/hl7:id
Item: albprn-1el
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[@code='230126006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:supply/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[@code='230126006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:supply/hl7:code"
         id="tmp-a1b5d29c-1852-47c9-8a29-5b172cc4b751">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or (@code='230126006' and @codeSystem='2.16.840.1.113883.6.96')">albprn-1el: De waarde van @code/@codeSystem MOET '230126006' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[@code='230126006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:supply/hl7:product
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[@code='230126006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:supply/hl7:product"
         id="tmp-5a85a7e1-ba94-4c97-bb1d-c7726e0783dd">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@typeCode='PRD' ">albprn-1el: De waarde van @typeCode MOET 'PRD' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:product)&gt;=1 ">albprn-1el: element hl7:product is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:product)&lt;=1">albprn-1el: element hl7:product komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[@code='230126006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:supply/hl7:product/hl7:product
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[@code='230126006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:supply/hl7:product/hl7:product"
         id="tmp-3cf55892-9421-4b9e-83b2-6fe962055aeb">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='ACCESS' ">albprn-1el: De waarde van @classCode MOET 'ACCESS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:playingMaterial)&gt;=1 ">albprn-1el: element hl7:playingMaterial is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:playingMaterial)&lt;=1">albprn-1el: element hl7:playingMaterial komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[@code='230126006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:supply/hl7:product/hl7:product/hl7:playingMaterial
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[@code='230126006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:supply/hl7:product/hl7:product/hl7:playingMaterial"
         id="tmp-fb4c9ab5-19de-4024-b8bd-4855290c685a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@classCode='FOOD' ">albprn-1el: De waarde van @classCode MOET 'FOOD' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@determinerCode='KIND' ">albprn-1el: @determinerCode SHALL have value 'KIND' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">albprn-1el: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="count(hl7:code)&lt;=1">albprn-1el: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.70
Context: hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[@code='230126006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:supply/hl7:product/hl7:product/hl7:playingMaterial/hl7:code
Item: albprn-1el
-->
<rule context="hl7:registrationProcess/hl7:subject2/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:supply[hl7:code[@code='230126006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:supply/hl7:product/hl7:product/hl7:playingMaterial/hl7:code"
         id="tmp-cc4bf9ae-3a6f-41de-8fa5-b9ad2089999f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">albprn-1el: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-BabyVoedingSoort-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-BabyVoedingSoort-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.70.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">albprn-1el: De waarde van @code MOET worden gekozen uit Value Set BabyVoedingSoort DYNAMIC.</assert>
   </rule>
</pattern>